#debuginfo not supported with Go
%global debug_package %{nil}
# modifying the Go binaries breaks the DWARF debugging
%global __os_install_post %{_rpmconfigdir}/brp-compress

%global gopath      %{_datadir}/gocode
%global import_path github.com/openshift/origin
# The following should only be used for cleanup of sdn-ovs upgrades
%global kube_plugin_path /usr/libexec/kubernetes/kubelet-plugins/net/exec/redhat~openshift-ovs-subnet

# docker_version is the version of docker requires by packages
%global docker_version 1.9.1
# tuned_version is the version of tuned requires by packages
%global tuned_version  2.3
# openvswitch_version is the version of openvswitch requires by packages
%global openvswitch_version 2.3.1
# this is the version we obsolete up to. The packaging changed for Origin
# 1.0.6 and OSE 3.1 such that 'openshift' package names were no longer used.
%global package_refector_version 3.0.2.900
%global golang_version 1.6.2
# %commit and %os_git_vars are intended to be set by tito custom builders provided
# in the .tito/lib directory. The values in this spec file will not be kept up to date.
%{!?commit:
%global commit d45151824821195c9d3db7e5d2da0a1c982a614c
}
%global shortcommit %(c=%{commit}; echo ${c:0:7})
# os_git_vars needed to run hack scripts during rpm builds
%{!?os_git_vars:
%global os_git_vars OS_GIT_TREE_STATE=clean OS_GIT_VERSION=v1.3.0 OS_GIT_COMMIT=d451518 OS_GIT_MAJOR=1 OS_GIT_MINOR=3
}

%if 0%{?fedora} || 0%{?epel}
%global make_redistributable 0
%else
%global make_redistributable 1
%endif

%if "%{dist}" == ".el7aos"
%global package_name atomic-openshift
%global product_name Atomic OpenShift
%else
%global package_name origin
%global product_name Origin
%endif

Name:           %{package_name}
# Version is not kept up to date and is intended to be set by tito custom
# builders provided in the .tito/lib directory of this project
Version:        1.3.0
Release:        1%{?dist}
Summary:        Open Source Container Management by Red Hat
License:        ASL 2.0
URL:            https://%{import_path}

# If go_arches not defined fall through to implicit golang archs
#%if 0%{?go_arches:1}
#ExclusiveArch:  %{go_arches}
#%else
#ExclusiveArch:  x86_64 aarch64 ppc64le
#%endif

# There's a bug in golang 1.6.x and 1.7.x compiler that is causing a build
# failure for armv7hl. Exclude it for now.
ExclusiveArch: x86_64 aarch64 %{ix86} %{power64}

Source0:        https://%{import_path}/archive/%{commit}/%{name}-%{version}.tar.gz

# Submitted upstream https://github.com/openshift/origin/pull/10997
Patch0:         origin-1.3.0-build-platform.patch

BuildRequires:  systemd
BuildRequires:  bsdtar
BuildRequires:  golang >= %{golang_version}
BuildRequires:  krb5-devel
BuildRequires:  rsync
Requires:       %{name}-clients = %{version}-%{release}
Requires:       iptables
Obsoletes:      openshift < %{package_refector_version}

#
# The following Bundled Provides entries are populated automatically by the
# OpenShift Origin tito custom builder found here:
#   https://github.com/openshift/origin/blob/master/.tito/lib/origin/builder/
#
# These are defined as per:
# https://fedoraproject.org/wiki/Packaging:Guidelines#Bundling_and_Duplication_of_system_libraries
#
Provides: bundled(golang(bitbucket.org/ww/goautoneg)) = 75cd24fc2f2c2a2088577d12123ddee5f54e0675
Provides: bundled(golang(github.com/AaronO/go-git-http)) = 34209cf6cd947cfa52063bcb0f6d43cfa50c5566
Provides: bundled(golang(github.com/AaronO/go-git-http/auth)) = 34209cf6cd947cfa52063bcb0f6d43cfa50c5566
Provides: bundled(golang(github.com/Azure/azure-sdk-for-go/storage)) = 97d9593768bbbbd316f9c055dfc5f780933cd7fc
Provides: bundled(golang(github.com/ClusterHQ/flocker-go)) = 1c0a791b33bdc01d062b376612aa04e27eed7eb3
Provides: bundled(golang(github.com/MakeNowJust/heredoc)) = 1d91351acdc1cb2f2c995864674b754134b86ca7
Provides: bundled(golang(github.com/Microsoft/go-winio)) = 4f1a71750d95a5a8a46c40a67ffbed8129c2f138
Provides: bundled(golang(github.com/RangelReale/osin)) = 3464e46061256f6b3f23e14390b6e87a54eff386
Provides: bundled(golang(github.com/RangelReale/osincli)) = 05659f31e8b694f522f44226839a66bd8b7c08cc
Provides: bundled(golang(github.com/Sirupsen/logrus)) = aaf92c95712104318fc35409745f1533aa5ff327
Provides: bundled(golang(github.com/Sirupsen/logrus/formatters/logstash)) = aaf92c95712104318fc35409745f1533aa5ff327
Provides: bundled(golang(github.com/abbot/go-http-auth)) = c0ef4539dfab4d21c8ef20ba2924f9fc6f186d35
Provides: bundled(golang(github.com/apcera/gssapi)) = b28cfdd5220f7ebe15d8372ac81a7f41cc35ab32
Provides: bundled(golang(github.com/appc/cni/libcni)) = 2a58bd9379ca33579f0cf631945b717aa4fa373d
Provides: bundled(golang(github.com/appc/cni/pkg/invoke)) = 2a58bd9379ca33579f0cf631945b717aa4fa373d
Provides: bundled(golang(github.com/appc/cni/pkg/types)) = 2a58bd9379ca33579f0cf631945b717aa4fa373d
Provides: bundled(golang(github.com/appc/spec/schema)) = ab50d12e88f57788bf84b83fef2be236eb1fcc0b
Provides: bundled(golang(github.com/appc/spec/schema/common)) = ab50d12e88f57788bf84b83fef2be236eb1fcc0b
Provides: bundled(golang(github.com/appc/spec/schema/types)) = ab50d12e88f57788bf84b83fef2be236eb1fcc0b
Provides: bundled(golang(github.com/armon/go-metrics)) = 345426c77237ece5dab0e1605c3e4b35c3f54757
Provides: bundled(golang(github.com/aws/aws-sdk-go/aws)) = c924893c38ecc04b18d7aab8a7aa561cb8b4c4cc
Provides: bundled(golang(github.com/aws/aws-sdk-go/aws/awserr)) = c924893c38ecc04b18d7aab8a7aa561cb8b4c4cc
Provides: bundled(golang(github.com/aws/aws-sdk-go/aws/awsutil)) = c924893c38ecc04b18d7aab8a7aa561cb8b4c4cc
Provides: bundled(golang(github.com/aws/aws-sdk-go/aws/client)) = c924893c38ecc04b18d7aab8a7aa561cb8b4c4cc
Provides: bundled(golang(github.com/aws/aws-sdk-go/aws/client/metadata)) = c924893c38ecc04b18d7aab8a7aa561cb8b4c4cc
Provides: bundled(golang(github.com/aws/aws-sdk-go/aws/corehandlers)) = c924893c38ecc04b18d7aab8a7aa561cb8b4c4cc
Provides: bundled(golang(github.com/aws/aws-sdk-go/aws/credentials)) = c924893c38ecc04b18d7aab8a7aa561cb8b4c4cc
Provides: bundled(golang(github.com/aws/aws-sdk-go/aws/credentials/ec2rolecreds)) = c924893c38ecc04b18d7aab8a7aa561cb8b4c4cc
Provides: bundled(golang(github.com/aws/aws-sdk-go/aws/defaults)) = c924893c38ecc04b18d7aab8a7aa561cb8b4c4cc
Provides: bundled(golang(github.com/aws/aws-sdk-go/aws/ec2metadata)) = c924893c38ecc04b18d7aab8a7aa561cb8b4c4cc
Provides: bundled(golang(github.com/aws/aws-sdk-go/aws/request)) = c924893c38ecc04b18d7aab8a7aa561cb8b4c4cc
Provides: bundled(golang(github.com/aws/aws-sdk-go/aws/session)) = c924893c38ecc04b18d7aab8a7aa561cb8b4c4cc
Provides: bundled(golang(github.com/aws/aws-sdk-go/private/endpoints)) = c924893c38ecc04b18d7aab8a7aa561cb8b4c4cc
Provides: bundled(golang(github.com/aws/aws-sdk-go/private/protocol)) = c924893c38ecc04b18d7aab8a7aa561cb8b4c4cc
Provides: bundled(golang(github.com/aws/aws-sdk-go/private/protocol/ec2query)) = c924893c38ecc04b18d7aab8a7aa561cb8b4c4cc
Provides: bundled(golang(github.com/aws/aws-sdk-go/private/protocol/json/jsonutil)) = c924893c38ecc04b18d7aab8a7aa561cb8b4c4cc
Provides: bundled(golang(github.com/aws/aws-sdk-go/private/protocol/jsonrpc)) = c924893c38ecc04b18d7aab8a7aa561cb8b4c4cc
Provides: bundled(golang(github.com/aws/aws-sdk-go/private/protocol/query)) = c924893c38ecc04b18d7aab8a7aa561cb8b4c4cc
Provides: bundled(golang(github.com/aws/aws-sdk-go/private/protocol/query/queryutil)) = c924893c38ecc04b18d7aab8a7aa561cb8b4c4cc
Provides: bundled(golang(github.com/aws/aws-sdk-go/private/protocol/rest)) = c924893c38ecc04b18d7aab8a7aa561cb8b4c4cc
Provides: bundled(golang(github.com/aws/aws-sdk-go/private/protocol/restxml)) = c924893c38ecc04b18d7aab8a7aa561cb8b4c4cc
Provides: bundled(golang(github.com/aws/aws-sdk-go/private/protocol/xml/xmlutil)) = c924893c38ecc04b18d7aab8a7aa561cb8b4c4cc
Provides: bundled(golang(github.com/aws/aws-sdk-go/private/signer/v4)) = c924893c38ecc04b18d7aab8a7aa561cb8b4c4cc
Provides: bundled(golang(github.com/aws/aws-sdk-go/private/waiter)) = c924893c38ecc04b18d7aab8a7aa561cb8b4c4cc
Provides: bundled(golang(github.com/aws/aws-sdk-go/service/autoscaling)) = c924893c38ecc04b18d7aab8a7aa561cb8b4c4cc
Provides: bundled(golang(github.com/aws/aws-sdk-go/service/cloudfront/sign)) = c924893c38ecc04b18d7aab8a7aa561cb8b4c4cc
Provides: bundled(golang(github.com/aws/aws-sdk-go/service/ec2)) = c924893c38ecc04b18d7aab8a7aa561cb8b4c4cc
Provides: bundled(golang(github.com/aws/aws-sdk-go/service/ecr)) = c924893c38ecc04b18d7aab8a7aa561cb8b4c4cc
Provides: bundled(golang(github.com/aws/aws-sdk-go/service/elb)) = c924893c38ecc04b18d7aab8a7aa561cb8b4c4cc
Provides: bundled(golang(github.com/aws/aws-sdk-go/service/s3)) = c924893c38ecc04b18d7aab8a7aa561cb8b4c4cc
Provides: bundled(golang(github.com/beorn7/perks/quantile)) = 3ac7bf7a47d159a033b107610db8a1b6575507a4
Provides: bundled(golang(github.com/blang/semver)) = 31b736133b98f26d5e078ec9eb591666edfd091f
Provides: bundled(golang(github.com/boltdb/bolt)) = ee4a0888a9abe7eefe5a0992ca4cb06864839873
Provides: bundled(golang(github.com/coreos/etcd/alarm)) = fbdb52decb4b74cbe93df01ce7f4728dae91511c
Provides: bundled(golang(github.com/coreos/etcd/auth)) = fbdb52decb4b74cbe93df01ce7f4728dae91511c
Provides: bundled(golang(github.com/coreos/etcd/auth/authpb)) = fbdb52decb4b74cbe93df01ce7f4728dae91511c
Provides: bundled(golang(github.com/coreos/etcd/client)) = fbdb52decb4b74cbe93df01ce7f4728dae91511c
Provides: bundled(golang(github.com/coreos/etcd/clientv3)) = fbdb52decb4b74cbe93df01ce7f4728dae91511c
Provides: bundled(golang(github.com/coreos/etcd/compactor)) = fbdb52decb4b74cbe93df01ce7f4728dae91511c
Provides: bundled(golang(github.com/coreos/etcd/discovery)) = fbdb52decb4b74cbe93df01ce7f4728dae91511c
Provides: bundled(golang(github.com/coreos/etcd/error)) = fbdb52decb4b74cbe93df01ce7f4728dae91511c
Provides: bundled(golang(github.com/coreos/etcd/etcdserver)) = fbdb52decb4b74cbe93df01ce7f4728dae91511c
Provides: bundled(golang(github.com/coreos/etcd/etcdserver/api)) = fbdb52decb4b74cbe93df01ce7f4728dae91511c
Provides: bundled(golang(github.com/coreos/etcd/etcdserver/api/v2http)) = fbdb52decb4b74cbe93df01ce7f4728dae91511c
Provides: bundled(golang(github.com/coreos/etcd/etcdserver/api/v2http/httptypes)) = fbdb52decb4b74cbe93df01ce7f4728dae91511c
Provides: bundled(golang(github.com/coreos/etcd/etcdserver/api/v3rpc/rpctypes)) = fbdb52decb4b74cbe93df01ce7f4728dae91511c
Provides: bundled(golang(github.com/coreos/etcd/etcdserver/auth)) = fbdb52decb4b74cbe93df01ce7f4728dae91511c
Provides: bundled(golang(github.com/coreos/etcd/etcdserver/etcdserverpb)) = fbdb52decb4b74cbe93df01ce7f4728dae91511c
Provides: bundled(golang(github.com/coreos/etcd/etcdserver/membership)) = fbdb52decb4b74cbe93df01ce7f4728dae91511c
Provides: bundled(golang(github.com/coreos/etcd/etcdserver/stats)) = fbdb52decb4b74cbe93df01ce7f4728dae91511c
Provides: bundled(golang(github.com/coreos/etcd/lease)) = fbdb52decb4b74cbe93df01ce7f4728dae91511c
Provides: bundled(golang(github.com/coreos/etcd/lease/leasehttp)) = fbdb52decb4b74cbe93df01ce7f4728dae91511c
Provides: bundled(golang(github.com/coreos/etcd/lease/leasepb)) = fbdb52decb4b74cbe93df01ce7f4728dae91511c
Provides: bundled(golang(github.com/coreos/etcd/pkg/adt)) = fbdb52decb4b74cbe93df01ce7f4728dae91511c
Provides: bundled(golang(github.com/coreos/etcd/pkg/contention)) = fbdb52decb4b74cbe93df01ce7f4728dae91511c
Provides: bundled(golang(github.com/coreos/etcd/pkg/crc)) = fbdb52decb4b74cbe93df01ce7f4728dae91511c
Provides: bundled(golang(github.com/coreos/etcd/pkg/fileutil)) = fbdb52decb4b74cbe93df01ce7f4728dae91511c
Provides: bundled(golang(github.com/coreos/etcd/pkg/httputil)) = fbdb52decb4b74cbe93df01ce7f4728dae91511c
Provides: bundled(golang(github.com/coreos/etcd/pkg/idutil)) = fbdb52decb4b74cbe93df01ce7f4728dae91511c
Provides: bundled(golang(github.com/coreos/etcd/pkg/ioutil)) = fbdb52decb4b74cbe93df01ce7f4728dae91511c
Provides: bundled(golang(github.com/coreos/etcd/pkg/logutil)) = fbdb52decb4b74cbe93df01ce7f4728dae91511c
Provides: bundled(golang(github.com/coreos/etcd/pkg/netutil)) = fbdb52decb4b74cbe93df01ce7f4728dae91511c
Provides: bundled(golang(github.com/coreos/etcd/pkg/osutil)) = fbdb52decb4b74cbe93df01ce7f4728dae91511c
Provides: bundled(golang(github.com/coreos/etcd/pkg/pathutil)) = fbdb52decb4b74cbe93df01ce7f4728dae91511c
Provides: bundled(golang(github.com/coreos/etcd/pkg/pbutil)) = fbdb52decb4b74cbe93df01ce7f4728dae91511c
Provides: bundled(golang(github.com/coreos/etcd/pkg/runtime)) = fbdb52decb4b74cbe93df01ce7f4728dae91511c
Provides: bundled(golang(github.com/coreos/etcd/pkg/schedule)) = fbdb52decb4b74cbe93df01ce7f4728dae91511c
Provides: bundled(golang(github.com/coreos/etcd/pkg/testutil)) = fbdb52decb4b74cbe93df01ce7f4728dae91511c
Provides: bundled(golang(github.com/coreos/etcd/pkg/tlsutil)) = fbdb52decb4b74cbe93df01ce7f4728dae91511c
Provides: bundled(golang(github.com/coreos/etcd/pkg/transport)) = fbdb52decb4b74cbe93df01ce7f4728dae91511c
Provides: bundled(golang(github.com/coreos/etcd/pkg/types)) = fbdb52decb4b74cbe93df01ce7f4728dae91511c
Provides: bundled(golang(github.com/coreos/etcd/pkg/wait)) = fbdb52decb4b74cbe93df01ce7f4728dae91511c
Provides: bundled(golang(github.com/coreos/etcd/raft)) = fbdb52decb4b74cbe93df01ce7f4728dae91511c
Provides: bundled(golang(github.com/coreos/etcd/raft/raftpb)) = fbdb52decb4b74cbe93df01ce7f4728dae91511c
Provides: bundled(golang(github.com/coreos/etcd/rafthttp)) = fbdb52decb4b74cbe93df01ce7f4728dae91511c
Provides: bundled(golang(github.com/coreos/etcd/snap)) = fbdb52decb4b74cbe93df01ce7f4728dae91511c
Provides: bundled(golang(github.com/coreos/etcd/snap/snappb)) = fbdb52decb4b74cbe93df01ce7f4728dae91511c
Provides: bundled(golang(github.com/coreos/etcd/storage)) = fbdb52decb4b74cbe93df01ce7f4728dae91511c
Provides: bundled(golang(github.com/coreos/etcd/storage/backend)) = fbdb52decb4b74cbe93df01ce7f4728dae91511c
Provides: bundled(golang(github.com/coreos/etcd/storage/storagepb)) = fbdb52decb4b74cbe93df01ce7f4728dae91511c
Provides: bundled(golang(github.com/coreos/etcd/store)) = fbdb52decb4b74cbe93df01ce7f4728dae91511c
Provides: bundled(golang(github.com/coreos/etcd/version)) = fbdb52decb4b74cbe93df01ce7f4728dae91511c
Provides: bundled(golang(github.com/coreos/etcd/wal)) = fbdb52decb4b74cbe93df01ce7f4728dae91511c
Provides: bundled(golang(github.com/coreos/etcd/wal/walpb)) = fbdb52decb4b74cbe93df01ce7f4728dae91511c
Provides: bundled(golang(github.com/coreos/go-etcd/etcd)) = 003851be7bb0694fe3cc457a49529a19388ee7cf
Provides: bundled(golang(github.com/coreos/go-oidc/http)) = 5cf2aa52da8c574d3aa4458f471ad6ae2240fe6b
Provides: bundled(golang(github.com/coreos/go-oidc/jose)) = 5cf2aa52da8c574d3aa4458f471ad6ae2240fe6b
Provides: bundled(golang(github.com/coreos/go-oidc/key)) = 5cf2aa52da8c574d3aa4458f471ad6ae2240fe6b
Provides: bundled(golang(github.com/coreos/go-oidc/oauth2)) = 5cf2aa52da8c574d3aa4458f471ad6ae2240fe6b
Provides: bundled(golang(github.com/coreos/go-oidc/oidc)) = 5cf2aa52da8c574d3aa4458f471ad6ae2240fe6b
Provides: bundled(golang(github.com/coreos/go-semver/semver)) = d043ae190b3202550d026daf009359bb5d761672
Provides: bundled(golang(github.com/coreos/go-systemd/daemon)) = 4484981625c1a6a2ecb40a390fcb6a9bcfee76e3
Provides: bundled(golang(github.com/coreos/go-systemd/dbus)) = 4484981625c1a6a2ecb40a390fcb6a9bcfee76e3
Provides: bundled(golang(github.com/coreos/go-systemd/journal)) = 4484981625c1a6a2ecb40a390fcb6a9bcfee76e3
Provides: bundled(golang(github.com/coreos/go-systemd/unit)) = 4484981625c1a6a2ecb40a390fcb6a9bcfee76e3
Provides: bundled(golang(github.com/coreos/go-systemd/util)) = 4484981625c1a6a2ecb40a390fcb6a9bcfee76e3
Provides: bundled(golang(github.com/coreos/pkg/capnslog)) = 7f080b6c11ac2d2347c3cd7521e810207ea1a041
Provides: bundled(golang(github.com/coreos/pkg/dlopen)) = 7f080b6c11ac2d2347c3cd7521e810207ea1a041
Provides: bundled(golang(github.com/coreos/pkg/health)) = 7f080b6c11ac2d2347c3cd7521e810207ea1a041
Provides: bundled(golang(github.com/coreos/pkg/httputil)) = 7f080b6c11ac2d2347c3cd7521e810207ea1a041
Provides: bundled(golang(github.com/coreos/pkg/timeutil)) = 7f080b6c11ac2d2347c3cd7521e810207ea1a041
Provides: bundled(golang(github.com/coreos/rkt/api/v1alpha)) = 14437382a98e5ebeb6cafb57cff445370e3f7d56
Provides: bundled(golang(github.com/davecgh/go-spew/spew)) = 5215b55f46b2b919f50a1df0eaa5886afe4e3b3d
Provides: bundled(golang(github.com/daviddengcn/go-colortext)) = 511bcaf42ccd42c38aba7427b6673277bf19e2a1
Provides: bundled(golang(github.com/dgrijalva/jwt-go)) = 5ca80149b9d3f8b863af0e2bb6742e608603bd99
Provides: bundled(golang(github.com/docker/distribution)) = 559433598c7be9d30d6cfc5cad5b5dfdb686725c
Provides: bundled(golang(github.com/docker/distribution/configuration)) = 559433598c7be9d30d6cfc5cad5b5dfdb686725c
Provides: bundled(golang(github.com/docker/distribution/context)) = 559433598c7be9d30d6cfc5cad5b5dfdb686725c
Provides: bundled(golang(github.com/docker/distribution/digest)) = 559433598c7be9d30d6cfc5cad5b5dfdb686725c
Provides: bundled(golang(github.com/docker/distribution/health)) = 559433598c7be9d30d6cfc5cad5b5dfdb686725c
Provides: bundled(golang(github.com/docker/distribution/health/checks)) = 559433598c7be9d30d6cfc5cad5b5dfdb686725c
Provides: bundled(golang(github.com/docker/distribution/manifest)) = 559433598c7be9d30d6cfc5cad5b5dfdb686725c
Provides: bundled(golang(github.com/docker/distribution/manifest/manifestlist)) = 559433598c7be9d30d6cfc5cad5b5dfdb686725c
Provides: bundled(golang(github.com/docker/distribution/manifest/schema1)) = 559433598c7be9d30d6cfc5cad5b5dfdb686725c
Provides: bundled(golang(github.com/docker/distribution/manifest/schema2)) = 559433598c7be9d30d6cfc5cad5b5dfdb686725c
Provides: bundled(golang(github.com/docker/distribution/notifications)) = 559433598c7be9d30d6cfc5cad5b5dfdb686725c
Provides: bundled(golang(github.com/docker/distribution/reference)) = 559433598c7be9d30d6cfc5cad5b5dfdb686725c
Provides: bundled(golang(github.com/docker/distribution/registry/api/errcode)) = 559433598c7be9d30d6cfc5cad5b5dfdb686725c
Provides: bundled(golang(github.com/docker/distribution/registry/api/v2)) = 559433598c7be9d30d6cfc5cad5b5dfdb686725c
Provides: bundled(golang(github.com/docker/distribution/registry/auth)) = 559433598c7be9d30d6cfc5cad5b5dfdb686725c
Provides: bundled(golang(github.com/docker/distribution/registry/auth/htpasswd)) = 559433598c7be9d30d6cfc5cad5b5dfdb686725c
Provides: bundled(golang(github.com/docker/distribution/registry/auth/token)) = 559433598c7be9d30d6cfc5cad5b5dfdb686725c
Provides: bundled(golang(github.com/docker/distribution/registry/client)) = 559433598c7be9d30d6cfc5cad5b5dfdb686725c
Provides: bundled(golang(github.com/docker/distribution/registry/client/auth)) = 559433598c7be9d30d6cfc5cad5b5dfdb686725c
Provides: bundled(golang(github.com/docker/distribution/registry/client/transport)) = 559433598c7be9d30d6cfc5cad5b5dfdb686725c
Provides: bundled(golang(github.com/docker/distribution/registry/handlers)) = 559433598c7be9d30d6cfc5cad5b5dfdb686725c
Provides: bundled(golang(github.com/docker/distribution/registry/middleware/registry)) = 559433598c7be9d30d6cfc5cad5b5dfdb686725c
Provides: bundled(golang(github.com/docker/distribution/registry/middleware/repository)) = 559433598c7be9d30d6cfc5cad5b5dfdb686725c
Provides: bundled(golang(github.com/docker/distribution/registry/proxy)) = 559433598c7be9d30d6cfc5cad5b5dfdb686725c
Provides: bundled(golang(github.com/docker/distribution/registry/proxy/scheduler)) = 559433598c7be9d30d6cfc5cad5b5dfdb686725c
Provides: bundled(golang(github.com/docker/distribution/registry/storage)) = 559433598c7be9d30d6cfc5cad5b5dfdb686725c
Provides: bundled(golang(github.com/docker/distribution/registry/storage/cache)) = 559433598c7be9d30d6cfc5cad5b5dfdb686725c
Provides: bundled(golang(github.com/docker/distribution/registry/storage/cache/memory)) = 559433598c7be9d30d6cfc5cad5b5dfdb686725c
Provides: bundled(golang(github.com/docker/distribution/registry/storage/cache/redis)) = 559433598c7be9d30d6cfc5cad5b5dfdb686725c
Provides: bundled(golang(github.com/docker/distribution/registry/storage/driver)) = 559433598c7be9d30d6cfc5cad5b5dfdb686725c
Provides: bundled(golang(github.com/docker/distribution/registry/storage/driver/azure)) = 559433598c7be9d30d6cfc5cad5b5dfdb686725c
Provides: bundled(golang(github.com/docker/distribution/registry/storage/driver/base)) = 559433598c7be9d30d6cfc5cad5b5dfdb686725c
Provides: bundled(golang(github.com/docker/distribution/registry/storage/driver/factory)) = 559433598c7be9d30d6cfc5cad5b5dfdb686725c
Provides: bundled(golang(github.com/docker/distribution/registry/storage/driver/filesystem)) = 559433598c7be9d30d6cfc5cad5b5dfdb686725c
Provides: bundled(golang(github.com/docker/distribution/registry/storage/driver/gcs)) = 559433598c7be9d30d6cfc5cad5b5dfdb686725c
Provides: bundled(golang(github.com/docker/distribution/registry/storage/driver/inmemory)) = 559433598c7be9d30d6cfc5cad5b5dfdb686725c
Provides: bundled(golang(github.com/docker/distribution/registry/storage/driver/middleware)) = 559433598c7be9d30d6cfc5cad5b5dfdb686725c
Provides: bundled(golang(github.com/docker/distribution/registry/storage/driver/middleware/cloudfront)) = 559433598c7be9d30d6cfc5cad5b5dfdb686725c
Provides: bundled(golang(github.com/docker/distribution/registry/storage/driver/s3-aws)) = 559433598c7be9d30d6cfc5cad5b5dfdb686725c
Provides: bundled(golang(github.com/docker/distribution/registry/storage/driver/swift)) = 559433598c7be9d30d6cfc5cad5b5dfdb686725c
Provides: bundled(golang(github.com/docker/distribution/uuid)) = 559433598c7be9d30d6cfc5cad5b5dfdb686725c
Provides: bundled(golang(github.com/docker/distribution/version)) = 559433598c7be9d30d6cfc5cad5b5dfdb686725c
Provides: bundled(golang(github.com/docker/docker/builder/command)) = 0f5c9d301b9b1cca66b3ea0f9dec3b5317d3686d
Provides: bundled(golang(github.com/docker/docker/builder/parser)) = 0f5c9d301b9b1cca66b3ea0f9dec3b5317d3686d
Provides: bundled(golang(github.com/docker/docker/pkg/jsonmessage)) = 0f5c9d301b9b1cca66b3ea0f9dec3b5317d3686d
Provides: bundled(golang(github.com/docker/docker/pkg/mount)) = 0f5c9d301b9b1cca66b3ea0f9dec3b5317d3686d
Provides: bundled(golang(github.com/docker/docker/pkg/parsers)) = 0f5c9d301b9b1cca66b3ea0f9dec3b5317d3686d
Provides: bundled(golang(github.com/docker/docker/pkg/stdcopy)) = 0f5c9d301b9b1cca66b3ea0f9dec3b5317d3686d
Provides: bundled(golang(github.com/docker/docker/pkg/symlink)) = 0f5c9d301b9b1cca66b3ea0f9dec3b5317d3686d
Provides: bundled(golang(github.com/docker/docker/pkg/term)) = 0f5c9d301b9b1cca66b3ea0f9dec3b5317d3686d
Provides: bundled(golang(github.com/docker/docker/pkg/term/winconsole)) = 0f5c9d301b9b1cca66b3ea0f9dec3b5317d3686d
Provides: bundled(golang(github.com/docker/docker/pkg/timeutils)) = 0f5c9d301b9b1cca66b3ea0f9dec3b5317d3686d
Provides: bundled(golang(github.com/docker/docker/pkg/units)) = 0f5c9d301b9b1cca66b3ea0f9dec3b5317d3686d
Provides: bundled(golang(github.com/docker/engine-api/client)) = 3d72d392d07bece8d7d7b2a3b6b2e57c2df376a2
Provides: bundled(golang(github.com/docker/engine-api/client/transport)) = 3d72d392d07bece8d7d7b2a3b6b2e57c2df376a2
Provides: bundled(golang(github.com/docker/engine-api/client/transport/cancellable)) = 3d72d392d07bece8d7d7b2a3b6b2e57c2df376a2
Provides: bundled(golang(github.com/docker/engine-api/types)) = 3d72d392d07bece8d7d7b2a3b6b2e57c2df376a2
Provides: bundled(golang(github.com/docker/engine-api/types/blkiodev)) = 3d72d392d07bece8d7d7b2a3b6b2e57c2df376a2
Provides: bundled(golang(github.com/docker/engine-api/types/container)) = 3d72d392d07bece8d7d7b2a3b6b2e57c2df376a2
Provides: bundled(golang(github.com/docker/engine-api/types/filters)) = 3d72d392d07bece8d7d7b2a3b6b2e57c2df376a2
Provides: bundled(golang(github.com/docker/engine-api/types/network)) = 3d72d392d07bece8d7d7b2a3b6b2e57c2df376a2
Provides: bundled(golang(github.com/docker/engine-api/types/reference)) = 3d72d392d07bece8d7d7b2a3b6b2e57c2df376a2
Provides: bundled(golang(github.com/docker/engine-api/types/registry)) = 3d72d392d07bece8d7d7b2a3b6b2e57c2df376a2
Provides: bundled(golang(github.com/docker/engine-api/types/strslice)) = 3d72d392d07bece8d7d7b2a3b6b2e57c2df376a2
Provides: bundled(golang(github.com/docker/engine-api/types/time)) = 3d72d392d07bece8d7d7b2a3b6b2e57c2df376a2
Provides: bundled(golang(github.com/docker/engine-api/types/versions)) = 3d72d392d07bece8d7d7b2a3b6b2e57c2df376a2
Provides: bundled(golang(github.com/docker/go-connections/nat)) = f549a9393d05688dff0992ef3efd8bbe6c628aeb
Provides: bundled(golang(github.com/docker/go-connections/sockets)) = f549a9393d05688dff0992ef3efd8bbe6c628aeb
Provides: bundled(golang(github.com/docker/go-connections/tlsconfig)) = f549a9393d05688dff0992ef3efd8bbe6c628aeb
Provides: bundled(golang(github.com/docker/go-units)) = 0bbddae09c5a5419a8c6dcdd7ff90da3d450393b
Provides: bundled(golang(github.com/docker/libtrust)) = c54fbb67c1f1e68d7d6f8d2ad7c9360404616a41
Provides: bundled(golang(github.com/docker/spdystream)) = 449fdfce4d962303d702fec724ef0ad181c92528
Provides: bundled(golang(github.com/docker/spdystream/spdy)) = 449fdfce4d962303d702fec724ef0ad181c92528
Provides: bundled(golang(github.com/elazarl/go-bindata-assetfs)) = 3dcc96556217539f50599357fb481ac0dc7439b9
Provides: bundled(golang(github.com/elazarl/goproxy)) = 07b16b6e30fcac0ad8c0435548e743bcf2ca7e92
Provides: bundled(golang(github.com/emicklei/go-restful)) = 152183b11abcd2b07ee814c8da82296340949747
Provides: bundled(golang(github.com/emicklei/go-restful/log)) = 152183b11abcd2b07ee814c8da82296340949747
Provides: bundled(golang(github.com/emicklei/go-restful/swagger)) = 152183b11abcd2b07ee814c8da82296340949747
Provides: bundled(golang(github.com/evanphx/json-patch)) = 465937c80b3c07a7c7ad20cc934898646a91c1de
Provides: bundled(golang(github.com/flynn/go-shlex)) = 3f9db97f856818214da2e1057f8ad84803971cff
Provides: bundled(golang(github.com/fsnotify/fsnotify)) = 3c39c22b2c7b0516d5f2553f1608e5d13cb19053
Provides: bundled(golang(github.com/fsouza/go-dockerclient)) = bf97c77db7c945cbcdbf09d56c6f87a66f54537b
Provides: bundled(golang(github.com/fsouza/go-dockerclient/external/github.com/Sirupsen/logrus)) = bf97c77db7c945cbcdbf09d56c6f87a66f54537b
Provides: bundled(golang(github.com/fsouza/go-dockerclient/external/github.com/docker/docker/opts)) = bf97c77db7c945cbcdbf09d56c6f87a66f54537b
Provides: bundled(golang(github.com/fsouza/go-dockerclient/external/github.com/docker/docker/pkg/archive)) = bf97c77db7c945cbcdbf09d56c6f87a66f54537b
Provides: bundled(golang(github.com/fsouza/go-dockerclient/external/github.com/docker/docker/pkg/fileutils)) = bf97c77db7c945cbcdbf09d56c6f87a66f54537b
Provides: bundled(golang(github.com/fsouza/go-dockerclient/external/github.com/docker/docker/pkg/homedir)) = bf97c77db7c945cbcdbf09d56c6f87a66f54537b
Provides: bundled(golang(github.com/fsouza/go-dockerclient/external/github.com/docker/docker/pkg/idtools)) = bf97c77db7c945cbcdbf09d56c6f87a66f54537b
Provides: bundled(golang(github.com/fsouza/go-dockerclient/external/github.com/docker/docker/pkg/ioutils)) = bf97c77db7c945cbcdbf09d56c6f87a66f54537b
Provides: bundled(golang(github.com/fsouza/go-dockerclient/external/github.com/docker/docker/pkg/longpath)) = bf97c77db7c945cbcdbf09d56c6f87a66f54537b
Provides: bundled(golang(github.com/fsouza/go-dockerclient/external/github.com/docker/docker/pkg/pools)) = bf97c77db7c945cbcdbf09d56c6f87a66f54537b
Provides: bundled(golang(github.com/fsouza/go-dockerclient/external/github.com/docker/docker/pkg/promise)) = bf97c77db7c945cbcdbf09d56c6f87a66f54537b
Provides: bundled(golang(github.com/fsouza/go-dockerclient/external/github.com/docker/docker/pkg/stdcopy)) = bf97c77db7c945cbcdbf09d56c6f87a66f54537b
Provides: bundled(golang(github.com/fsouza/go-dockerclient/external/github.com/docker/docker/pkg/system)) = bf97c77db7c945cbcdbf09d56c6f87a66f54537b
Provides: bundled(golang(github.com/fsouza/go-dockerclient/external/github.com/docker/go-units)) = bf97c77db7c945cbcdbf09d56c6f87a66f54537b
Provides: bundled(golang(github.com/fsouza/go-dockerclient/external/github.com/hashicorp/go-cleanhttp)) = bf97c77db7c945cbcdbf09d56c6f87a66f54537b
Provides: bundled(golang(github.com/fsouza/go-dockerclient/external/github.com/opencontainers/runc/libcontainer/user)) = bf97c77db7c945cbcdbf09d56c6f87a66f54537b
Provides: bundled(golang(github.com/fsouza/go-dockerclient/external/golang.org/x/net/context)) = bf97c77db7c945cbcdbf09d56c6f87a66f54537b
Provides: bundled(golang(github.com/fsouza/go-dockerclient/external/golang.org/x/sys/unix)) = bf97c77db7c945cbcdbf09d56c6f87a66f54537b
Provides: bundled(golang(github.com/garyburd/redigo/internal)) = b8dc90050f24c1a73a52f107f3f575be67b21b7c
Provides: bundled(golang(github.com/garyburd/redigo/redis)) = b8dc90050f24c1a73a52f107f3f575be67b21b7c
Provides: bundled(golang(github.com/getsentry/raven-go)) = 86cd4063c535cbbcbf43d84424dbd5911ab1b818
Provides: bundled(golang(github.com/ghodss/yaml)) = 73d445a93680fa1a78ae23a5839bad48f32ba1ee
Provides: bundled(golang(github.com/go-ini/ini)) = 2e44421e256d82ebbf3d4d4fcabe8930b905eff3
Provides: bundled(golang(github.com/godbus/dbus)) = c7fdd8b5cd55e87b4e1f4e372cdb1db61dd6c66f
Provides: bundled(golang(github.com/gogo/protobuf/gogoproto)) = 82d16f734d6d871204a3feb1a73cb220cc92574c
Provides: bundled(golang(github.com/gogo/protobuf/plugin/defaultcheck)) = 82d16f734d6d871204a3feb1a73cb220cc92574c
Provides: bundled(golang(github.com/gogo/protobuf/plugin/description)) = 82d16f734d6d871204a3feb1a73cb220cc92574c
Provides: bundled(golang(github.com/gogo/protobuf/plugin/embedcheck)) = 82d16f734d6d871204a3feb1a73cb220cc92574c
Provides: bundled(golang(github.com/gogo/protobuf/plugin/enumstringer)) = 82d16f734d6d871204a3feb1a73cb220cc92574c
Provides: bundled(golang(github.com/gogo/protobuf/plugin/equal)) = 82d16f734d6d871204a3feb1a73cb220cc92574c
Provides: bundled(golang(github.com/gogo/protobuf/plugin/face)) = 82d16f734d6d871204a3feb1a73cb220cc92574c
Provides: bundled(golang(github.com/gogo/protobuf/plugin/gostring)) = 82d16f734d6d871204a3feb1a73cb220cc92574c
Provides: bundled(golang(github.com/gogo/protobuf/plugin/grpc)) = 82d16f734d6d871204a3feb1a73cb220cc92574c
Provides: bundled(golang(github.com/gogo/protobuf/plugin/marshalto)) = 82d16f734d6d871204a3feb1a73cb220cc92574c
Provides: bundled(golang(github.com/gogo/protobuf/plugin/oneofcheck)) = 82d16f734d6d871204a3feb1a73cb220cc92574c
Provides: bundled(golang(github.com/gogo/protobuf/plugin/populate)) = 82d16f734d6d871204a3feb1a73cb220cc92574c
Provides: bundled(golang(github.com/gogo/protobuf/plugin/size)) = 82d16f734d6d871204a3feb1a73cb220cc92574c
Provides: bundled(golang(github.com/gogo/protobuf/plugin/stringer)) = 82d16f734d6d871204a3feb1a73cb220cc92574c
Provides: bundled(golang(github.com/gogo/protobuf/plugin/testgen)) = 82d16f734d6d871204a3feb1a73cb220cc92574c
Provides: bundled(golang(github.com/gogo/protobuf/plugin/union)) = 82d16f734d6d871204a3feb1a73cb220cc92574c
Provides: bundled(golang(github.com/gogo/protobuf/plugin/unmarshal)) = 82d16f734d6d871204a3feb1a73cb220cc92574c
Provides: bundled(golang(github.com/gogo/protobuf/proto)) = 82d16f734d6d871204a3feb1a73cb220cc92574c
Provides: bundled(golang(github.com/gogo/protobuf/protoc-gen-gogo/descriptor)) = 82d16f734d6d871204a3feb1a73cb220cc92574c
Provides: bundled(golang(github.com/gogo/protobuf/protoc-gen-gogo/generator)) = 82d16f734d6d871204a3feb1a73cb220cc92574c
Provides: bundled(golang(github.com/gogo/protobuf/protoc-gen-gogo/plugin)) = 82d16f734d6d871204a3feb1a73cb220cc92574c
Provides: bundled(golang(github.com/gogo/protobuf/sortkeys)) = 82d16f734d6d871204a3feb1a73cb220cc92574c
Provides: bundled(golang(github.com/gogo/protobuf/vanity)) = 82d16f734d6d871204a3feb1a73cb220cc92574c
Provides: bundled(golang(github.com/gogo/protobuf/vanity/command)) = 82d16f734d6d871204a3feb1a73cb220cc92574c
Provides: bundled(golang(github.com/golang/glog)) = 335da9dda11408a34b64344f82e9c03779b71673
Provides: bundled(golang(github.com/golang/groupcache/lru)) = 604ed5785183e59ae2789449d89e73f3a2a77987
Provides: bundled(golang(github.com/golang/protobuf/proto)) = b982704f8bb716bb608144408cff30e15fbde841
Provides: bundled(golang(github.com/gonum/blas)) = 80dca99229cccca259b550ae3f755cf79c65a224
Provides: bundled(golang(github.com/gonum/blas/blas64)) = 80dca99229cccca259b550ae3f755cf79c65a224
Provides: bundled(golang(github.com/gonum/blas/native)) = 80dca99229cccca259b550ae3f755cf79c65a224
Provides: bundled(golang(github.com/gonum/blas/native/internal/math32)) = 80dca99229cccca259b550ae3f755cf79c65a224
Provides: bundled(golang(github.com/gonum/graph)) = bde6d0fbd9dec5a997e906611fe0364001364c41
Provides: bundled(golang(github.com/gonum/graph/concrete)) = bde6d0fbd9dec5a997e906611fe0364001364c41
Provides: bundled(golang(github.com/gonum/graph/encoding/dot)) = bde6d0fbd9dec5a997e906611fe0364001364c41
Provides: bundled(golang(github.com/gonum/graph/internal)) = bde6d0fbd9dec5a997e906611fe0364001364c41
Provides: bundled(golang(github.com/gonum/graph/path)) = bde6d0fbd9dec5a997e906611fe0364001364c41
Provides: bundled(golang(github.com/gonum/graph/topo)) = bde6d0fbd9dec5a997e906611fe0364001364c41
Provides: bundled(golang(github.com/gonum/graph/traverse)) = bde6d0fbd9dec5a997e906611fe0364001364c41
Provides: bundled(golang(github.com/gonum/internal/asm)) = 5b84ddfb9d3e72d73b8de858c97650be140935c0
Provides: bundled(golang(github.com/gonum/lapack)) = 88ec467285859a6cd23900147d250a8af1f38b10
Provides: bundled(golang(github.com/gonum/lapack/lapack64)) = 88ec467285859a6cd23900147d250a8af1f38b10
Provides: bundled(golang(github.com/gonum/lapack/native)) = 88ec467285859a6cd23900147d250a8af1f38b10
Provides: bundled(golang(github.com/gonum/matrix/mat64)) = fb1396264e2e259ff714a408a7b0142d238b198d
Provides: bundled(golang(github.com/google/btree)) = cc6329d4279e3f025a53a83c397d2339b5705c45
Provides: bundled(golang(github.com/google/cadvisor/api)) = 956e595d948ce8690296d297ba265d5e8649a088
Provides: bundled(golang(github.com/google/cadvisor/cache/memory)) = 956e595d948ce8690296d297ba265d5e8649a088
Provides: bundled(golang(github.com/google/cadvisor/collector)) = 956e595d948ce8690296d297ba265d5e8649a088
Provides: bundled(golang(github.com/google/cadvisor/container)) = 956e595d948ce8690296d297ba265d5e8649a088
Provides: bundled(golang(github.com/google/cadvisor/container/common)) = 956e595d948ce8690296d297ba265d5e8649a088
Provides: bundled(golang(github.com/google/cadvisor/container/docker)) = 956e595d948ce8690296d297ba265d5e8649a088
Provides: bundled(golang(github.com/google/cadvisor/container/libcontainer)) = 956e595d948ce8690296d297ba265d5e8649a088
Provides: bundled(golang(github.com/google/cadvisor/container/raw)) = 956e595d948ce8690296d297ba265d5e8649a088
Provides: bundled(golang(github.com/google/cadvisor/container/rkt)) = 956e595d948ce8690296d297ba265d5e8649a088
Provides: bundled(golang(github.com/google/cadvisor/container/systemd)) = 956e595d948ce8690296d297ba265d5e8649a088
Provides: bundled(golang(github.com/google/cadvisor/devicemapper)) = 956e595d948ce8690296d297ba265d5e8649a088
Provides: bundled(golang(github.com/google/cadvisor/events)) = 956e595d948ce8690296d297ba265d5e8649a088
Provides: bundled(golang(github.com/google/cadvisor/fs)) = 956e595d948ce8690296d297ba265d5e8649a088
Provides: bundled(golang(github.com/google/cadvisor/healthz)) = 956e595d948ce8690296d297ba265d5e8649a088
Provides: bundled(golang(github.com/google/cadvisor/http)) = 956e595d948ce8690296d297ba265d5e8649a088
Provides: bundled(golang(github.com/google/cadvisor/http/mux)) = 956e595d948ce8690296d297ba265d5e8649a088
Provides: bundled(golang(github.com/google/cadvisor/info/v1)) = 956e595d948ce8690296d297ba265d5e8649a088
Provides: bundled(golang(github.com/google/cadvisor/info/v2)) = 956e595d948ce8690296d297ba265d5e8649a088
Provides: bundled(golang(github.com/google/cadvisor/machine)) = 956e595d948ce8690296d297ba265d5e8649a088
Provides: bundled(golang(github.com/google/cadvisor/manager)) = 956e595d948ce8690296d297ba265d5e8649a088
Provides: bundled(golang(github.com/google/cadvisor/manager/watcher)) = 956e595d948ce8690296d297ba265d5e8649a088
Provides: bundled(golang(github.com/google/cadvisor/manager/watcher/raw)) = 956e595d948ce8690296d297ba265d5e8649a088
Provides: bundled(golang(github.com/google/cadvisor/manager/watcher/rkt)) = 956e595d948ce8690296d297ba265d5e8649a088
Provides: bundled(golang(github.com/google/cadvisor/metrics)) = 956e595d948ce8690296d297ba265d5e8649a088
Provides: bundled(golang(github.com/google/cadvisor/pages)) = 956e595d948ce8690296d297ba265d5e8649a088
Provides: bundled(golang(github.com/google/cadvisor/pages/static)) = 956e595d948ce8690296d297ba265d5e8649a088
Provides: bundled(golang(github.com/google/cadvisor/storage)) = 956e595d948ce8690296d297ba265d5e8649a088
Provides: bundled(golang(github.com/google/cadvisor/summary)) = 956e595d948ce8690296d297ba265d5e8649a088
Provides: bundled(golang(github.com/google/cadvisor/utils)) = 956e595d948ce8690296d297ba265d5e8649a088
Provides: bundled(golang(github.com/google/cadvisor/utils/cloudinfo)) = 956e595d948ce8690296d297ba265d5e8649a088
Provides: bundled(golang(github.com/google/cadvisor/utils/cpuload)) = 956e595d948ce8690296d297ba265d5e8649a088
Provides: bundled(golang(github.com/google/cadvisor/utils/cpuload/netlink)) = 956e595d948ce8690296d297ba265d5e8649a088
Provides: bundled(golang(github.com/google/cadvisor/utils/docker)) = 956e595d948ce8690296d297ba265d5e8649a088
Provides: bundled(golang(github.com/google/cadvisor/utils/oomparser)) = 956e595d948ce8690296d297ba265d5e8649a088
Provides: bundled(golang(github.com/google/cadvisor/utils/sysfs)) = 956e595d948ce8690296d297ba265d5e8649a088
Provides: bundled(golang(github.com/google/cadvisor/utils/sysinfo)) = 956e595d948ce8690296d297ba265d5e8649a088
Provides: bundled(golang(github.com/google/cadvisor/utils/tail)) = 956e595d948ce8690296d297ba265d5e8649a088
Provides: bundled(golang(github.com/google/cadvisor/validate)) = 956e595d948ce8690296d297ba265d5e8649a088
Provides: bundled(golang(github.com/google/cadvisor/version)) = 956e595d948ce8690296d297ba265d5e8649a088
Provides: bundled(golang(github.com/google/gofuzz)) = bbcb9da2d746f8bdbd6a936686a0a6067ada0ec5
Provides: bundled(golang(github.com/gorilla/context)) = 215affda49addc4c8ef7e2534915df2c8c35c6cd
Provides: bundled(golang(github.com/gorilla/handlers)) = 4ef72b2795a418935d497c8db213080be06f8850
Provides: bundled(golang(github.com/gorilla/mux)) = 8096f47503459bcc74d1f4c487b7e6e42e5746b5
Provides: bundled(golang(github.com/gorilla/securecookie)) = 1b0c7f6e9ab3d7f500fd7d50c7ad835ff428139b
Provides: bundled(golang(github.com/gorilla/sessions)) = aa5e036e6c44aec69a32eb41097001978b29ad31
Provides: bundled(golang(github.com/hashicorp/go-msgpack/codec)) = fa3f63826f7c23912c15263591e65d54d080b458
Provides: bundled(golang(github.com/hashicorp/golang-lru)) = a0d98a5f288019575c6d1f4bb1573fef2d1fcdc4
Provides: bundled(golang(github.com/hashicorp/golang-lru/simplelru)) = a0d98a5f288019575c6d1f4bb1573fef2d1fcdc4
Provides: bundled(golang(github.com/hashicorp/raft)) = 057b893fd996696719e98b6c44649ea14968c811
Provides: bundled(golang(github.com/hashicorp/raft-boltdb)) = d1e82c1ec3f15ee991f7cc7ffd5b67ff6f5bbaee
Provides: bundled(golang(github.com/hawkular/hawkular-client-go/metrics)) = 1d46ce7e1eca635f372357a8ccbf1fa7cc28b7d2
Provides: bundled(golang(github.com/imdario/mergo)) = 6633656539c1639d9d78127b7d47c622b5d7b6dc
Provides: bundled(golang(github.com/inconshreveable/mousetrap)) = 76626ae9c91c4f2a10f34cad8ce83ea42c93bb75
Provides: bundled(golang(github.com/influxdb/influxdb/client)) = b237c68bab4756507baf6840023be103853e77db
Provides: bundled(golang(github.com/influxdb/influxdb/influxql)) = b237c68bab4756507baf6840023be103853e77db
Provides: bundled(golang(github.com/influxdb/influxdb/meta)) = b237c68bab4756507baf6840023be103853e77db
Provides: bundled(golang(github.com/influxdb/influxdb/meta/internal)) = b237c68bab4756507baf6840023be103853e77db
Provides: bundled(golang(github.com/influxdb/influxdb/snapshot)) = b237c68bab4756507baf6840023be103853e77db
Provides: bundled(golang(github.com/influxdb/influxdb/toml)) = b237c68bab4756507baf6840023be103853e77db
Provides: bundled(golang(github.com/influxdb/influxdb/tsdb)) = b237c68bab4756507baf6840023be103853e77db
Provides: bundled(golang(github.com/influxdb/influxdb/tsdb/internal)) = b237c68bab4756507baf6840023be103853e77db
Provides: bundled(golang(github.com/jmespath/go-jmespath)) = 3433f3ea46d9f8019119e7dd41274e112a2359a9
Provides: bundled(golang(github.com/jonboulle/clockwork)) = 3f831b65b61282ba6bece21b91beea2edc4c887a
Provides: bundled(golang(github.com/jteeuwen/go-bindata)) = bfe36d3254337b7cc18024805dfab2106613abdf
Provides: bundled(golang(github.com/juju/ratelimit)) = 77ed1c8a01217656d2080ad51981f6e99adaa177
Provides: bundled(golang(github.com/kr/pty)) = f7ee69f31298ecbe5d2b349c711e2547a617d398
Provides: bundled(golang(github.com/matttproud/golang_protobuf_extensions/pbutil)) = fc2b8d3a73c4867e51861bbdd5ae3c1f0869dd6a
Provides: bundled(golang(github.com/mesos/mesos-go/detector)) = 45c8b08e9af666add36a6f93ff8c1c75812367b0
Provides: bundled(golang(github.com/mesos/mesos-go/detector/zoo)) = 45c8b08e9af666add36a6f93ff8c1c75812367b0
Provides: bundled(golang(github.com/mesos/mesos-go/mesosproto)) = 45c8b08e9af666add36a6f93ff8c1c75812367b0
Provides: bundled(golang(github.com/mesos/mesos-go/mesosutil)) = 45c8b08e9af666add36a6f93ff8c1c75812367b0
Provides: bundled(golang(github.com/mesos/mesos-go/upid)) = 45c8b08e9af666add36a6f93ff8c1c75812367b0
Provides: bundled(golang(github.com/miekg/dns)) = 5d001d020961ae1c184f9f8152fdc73810481677
Provides: bundled(golang(github.com/mistifyio/go-zfs)) = 1b4ae6fb4e77b095934d4430860ff202060169f8
Provides: bundled(golang(github.com/mitchellh/mapstructure)) = 740c764bc6149d3f1806231418adb9f52c11bcbf
Provides: bundled(golang(github.com/mxk/go-flowrate/flowrate)) = cca7078d478f8520f85629ad7c68962d31ed7682
Provides: bundled(golang(github.com/ncw/swift)) = c54732e87b0b283d1baf0a18db689d0aea460ba3
Provides: bundled(golang(github.com/onsi/ginkgo)) = 2c2e9bb47b4e44067024f29339588cac8b34dd12
Provides: bundled(golang(github.com/onsi/ginkgo/config)) = 2c2e9bb47b4e44067024f29339588cac8b34dd12
Provides: bundled(golang(github.com/onsi/ginkgo/internal/codelocation)) = 2c2e9bb47b4e44067024f29339588cac8b34dd12
Provides: bundled(golang(github.com/onsi/ginkgo/internal/containernode)) = 2c2e9bb47b4e44067024f29339588cac8b34dd12
Provides: bundled(golang(github.com/onsi/ginkgo/internal/failer)) = 2c2e9bb47b4e44067024f29339588cac8b34dd12
Provides: bundled(golang(github.com/onsi/ginkgo/internal/leafnodes)) = 2c2e9bb47b4e44067024f29339588cac8b34dd12
Provides: bundled(golang(github.com/onsi/ginkgo/internal/remote)) = 2c2e9bb47b4e44067024f29339588cac8b34dd12
Provides: bundled(golang(github.com/onsi/ginkgo/internal/spec)) = 2c2e9bb47b4e44067024f29339588cac8b34dd12
Provides: bundled(golang(github.com/onsi/ginkgo/internal/specrunner)) = 2c2e9bb47b4e44067024f29339588cac8b34dd12
Provides: bundled(golang(github.com/onsi/ginkgo/internal/suite)) = 2c2e9bb47b4e44067024f29339588cac8b34dd12
Provides: bundled(golang(github.com/onsi/ginkgo/internal/testingtproxy)) = 2c2e9bb47b4e44067024f29339588cac8b34dd12
Provides: bundled(golang(github.com/onsi/ginkgo/internal/writer)) = 2c2e9bb47b4e44067024f29339588cac8b34dd12
Provides: bundled(golang(github.com/onsi/ginkgo/reporters)) = 2c2e9bb47b4e44067024f29339588cac8b34dd12
Provides: bundled(golang(github.com/onsi/ginkgo/reporters/stenographer)) = 2c2e9bb47b4e44067024f29339588cac8b34dd12
Provides: bundled(golang(github.com/onsi/ginkgo/types)) = 2c2e9bb47b4e44067024f29339588cac8b34dd12
Provides: bundled(golang(github.com/onsi/gomega)) = 7ce781ea776b2fd506491011353bded2e40c8467
Provides: bundled(golang(github.com/onsi/gomega/format)) = 7ce781ea776b2fd506491011353bded2e40c8467
Provides: bundled(golang(github.com/onsi/gomega/internal/assertion)) = 7ce781ea776b2fd506491011353bded2e40c8467
Provides: bundled(golang(github.com/onsi/gomega/internal/asyncassertion)) = 7ce781ea776b2fd506491011353bded2e40c8467
Provides: bundled(golang(github.com/onsi/gomega/internal/oraclematcher)) = 7ce781ea776b2fd506491011353bded2e40c8467
Provides: bundled(golang(github.com/onsi/gomega/internal/testingtsupport)) = 7ce781ea776b2fd506491011353bded2e40c8467
Provides: bundled(golang(github.com/onsi/gomega/matchers)) = 7ce781ea776b2fd506491011353bded2e40c8467
Provides: bundled(golang(github.com/onsi/gomega/matchers/support/goraph/bipartitegraph)) = 7ce781ea776b2fd506491011353bded2e40c8467
Provides: bundled(golang(github.com/onsi/gomega/matchers/support/goraph/edge)) = 7ce781ea776b2fd506491011353bded2e40c8467
Provides: bundled(golang(github.com/onsi/gomega/matchers/support/goraph/node)) = 7ce781ea776b2fd506491011353bded2e40c8467
Provides: bundled(golang(github.com/onsi/gomega/matchers/support/goraph/util)) = 7ce781ea776b2fd506491011353bded2e40c8467
Provides: bundled(golang(github.com/onsi/gomega/types)) = 7ce781ea776b2fd506491011353bded2e40c8467
Provides: bundled(golang(github.com/opencontainers/runc/libcontainer)) = 7ca2aa4873aea7cb4265b1726acb24b90d8726c6
Provides: bundled(golang(github.com/opencontainers/runc/libcontainer/apparmor)) = 7ca2aa4873aea7cb4265b1726acb24b90d8726c6
Provides: bundled(golang(github.com/opencontainers/runc/libcontainer/cgroups)) = 7ca2aa4873aea7cb4265b1726acb24b90d8726c6
Provides: bundled(golang(github.com/opencontainers/runc/libcontainer/cgroups/fs)) = 7ca2aa4873aea7cb4265b1726acb24b90d8726c6
Provides: bundled(golang(github.com/opencontainers/runc/libcontainer/cgroups/systemd)) = 7ca2aa4873aea7cb4265b1726acb24b90d8726c6
Provides: bundled(golang(github.com/opencontainers/runc/libcontainer/configs)) = 7ca2aa4873aea7cb4265b1726acb24b90d8726c6
Provides: bundled(golang(github.com/opencontainers/runc/libcontainer/configs/validate)) = 7ca2aa4873aea7cb4265b1726acb24b90d8726c6
Provides: bundled(golang(github.com/opencontainers/runc/libcontainer/criurpc)) = 7ca2aa4873aea7cb4265b1726acb24b90d8726c6
Provides: bundled(golang(github.com/opencontainers/runc/libcontainer/label)) = 7ca2aa4873aea7cb4265b1726acb24b90d8726c6
Provides: bundled(golang(github.com/opencontainers/runc/libcontainer/seccomp)) = 7ca2aa4873aea7cb4265b1726acb24b90d8726c6
Provides: bundled(golang(github.com/opencontainers/runc/libcontainer/selinux)) = 7ca2aa4873aea7cb4265b1726acb24b90d8726c6
Provides: bundled(golang(github.com/opencontainers/runc/libcontainer/stacktrace)) = 7ca2aa4873aea7cb4265b1726acb24b90d8726c6
Provides: bundled(golang(github.com/opencontainers/runc/libcontainer/system)) = 7ca2aa4873aea7cb4265b1726acb24b90d8726c6
Provides: bundled(golang(github.com/opencontainers/runc/libcontainer/user)) = 7ca2aa4873aea7cb4265b1726acb24b90d8726c6
Provides: bundled(golang(github.com/opencontainers/runc/libcontainer/utils)) = 7ca2aa4873aea7cb4265b1726acb24b90d8726c6
Provides: bundled(golang(github.com/openshift/imagebuilder)) = 5a8e7d9be33db899875d7c9effb8c6027618867a
Provides: bundled(golang(github.com/openshift/imagebuilder/dockerclient)) = 5a8e7d9be33db899875d7c9effb8c6027618867a
Provides: bundled(golang(github.com/openshift/imagebuilder/imageprogress)) = 5a8e7d9be33db899875d7c9effb8c6027618867a
Provides: bundled(golang(github.com/openshift/imagebuilder/signal)) = 5a8e7d9be33db899875d7c9effb8c6027618867a
Provides: bundled(golang(github.com/openshift/imagebuilder/strslice)) = 5a8e7d9be33db899875d7c9effb8c6027618867a
Provides: bundled(golang(github.com/openshift/source-to-image/pkg/api)) = 89b96680e451c0fa438446043f967b5660942974
Provides: bundled(golang(github.com/openshift/source-to-image/pkg/api/describe)) = 89b96680e451c0fa438446043f967b5660942974
Provides: bundled(golang(github.com/openshift/source-to-image/pkg/api/validation)) = 89b96680e451c0fa438446043f967b5660942974
Provides: bundled(golang(github.com/openshift/source-to-image/pkg/build)) = 89b96680e451c0fa438446043f967b5660942974
Provides: bundled(golang(github.com/openshift/source-to-image/pkg/build/strategies)) = 89b96680e451c0fa438446043f967b5660942974
Provides: bundled(golang(github.com/openshift/source-to-image/pkg/build/strategies/layered)) = 89b96680e451c0fa438446043f967b5660942974
Provides: bundled(golang(github.com/openshift/source-to-image/pkg/build/strategies/onbuild)) = 89b96680e451c0fa438446043f967b5660942974
Provides: bundled(golang(github.com/openshift/source-to-image/pkg/build/strategies/sti)) = 89b96680e451c0fa438446043f967b5660942974
Provides: bundled(golang(github.com/openshift/source-to-image/pkg/docker)) = 89b96680e451c0fa438446043f967b5660942974
Provides: bundled(golang(github.com/openshift/source-to-image/pkg/errors)) = 89b96680e451c0fa438446043f967b5660942974
Provides: bundled(golang(github.com/openshift/source-to-image/pkg/ignore)) = 89b96680e451c0fa438446043f967b5660942974
Provides: bundled(golang(github.com/openshift/source-to-image/pkg/scm)) = 89b96680e451c0fa438446043f967b5660942974
Provides: bundled(golang(github.com/openshift/source-to-image/pkg/scm/empty)) = 89b96680e451c0fa438446043f967b5660942974
Provides: bundled(golang(github.com/openshift/source-to-image/pkg/scm/file)) = 89b96680e451c0fa438446043f967b5660942974
Provides: bundled(golang(github.com/openshift/source-to-image/pkg/scm/git)) = 89b96680e451c0fa438446043f967b5660942974
Provides: bundled(golang(github.com/openshift/source-to-image/pkg/scripts)) = 89b96680e451c0fa438446043f967b5660942974
Provides: bundled(golang(github.com/openshift/source-to-image/pkg/tar)) = 89b96680e451c0fa438446043f967b5660942974
Provides: bundled(golang(github.com/openshift/source-to-image/pkg/util)) = 89b96680e451c0fa438446043f967b5660942974
Provides: bundled(golang(github.com/openshift/source-to-image/pkg/util/glog)) = 89b96680e451c0fa438446043f967b5660942974
Provides: bundled(golang(github.com/openshift/source-to-image/pkg/util/interrupt)) = 89b96680e451c0fa438446043f967b5660942974
Provides: bundled(golang(github.com/openshift/source-to-image/pkg/util/user)) = 89b96680e451c0fa438446043f967b5660942974
Provides: bundled(golang(github.com/pborman/uuid)) = ca53cad383cad2479bbba7f7a1a05797ec1386e4
Provides: bundled(golang(github.com/pkg/profile)) = c795610ec6e479e5795f7852db65ea15073674a6
Provides: bundled(golang(github.com/pmezard/go-difflib/difflib)) = d8ed2627bdf02c080bf22230dbb337003b7aba2d
Provides: bundled(golang(github.com/prometheus/client_golang/prometheus)) = 3b78d7a77f51ccbc364d4bc170920153022cfd08
Provides: bundled(golang(github.com/prometheus/client_model/go)) = fa8ad6fec33561be4280a8f0514318c79d7f6cb6
Provides: bundled(golang(github.com/prometheus/common/expfmt)) = a6ab08426bb262e2d190097751f5cfd1cfdfd17d
Provides: bundled(golang(github.com/prometheus/common/internal/bitbucket.org/ww/goautoneg)) = a6ab08426bb262e2d190097751f5cfd1cfdfd17d
Provides: bundled(golang(github.com/prometheus/common/model)) = a6ab08426bb262e2d190097751f5cfd1cfdfd17d
Provides: bundled(golang(github.com/prometheus/procfs)) = 490cc6eb5fa45bf8a8b7b73c8bc82a8160e8531d
Provides: bundled(golang(github.com/rackspace/gophercloud)) = 934dbf81977c67c521c75492dc1f55ca74dc5b04
Provides: bundled(golang(github.com/rackspace/gophercloud/openstack)) = 934dbf81977c67c521c75492dc1f55ca74dc5b04
Provides: bundled(golang(github.com/rackspace/gophercloud/openstack/blockstorage/v1/volumes)) = 934dbf81977c67c521c75492dc1f55ca74dc5b04
Provides: bundled(golang(github.com/rackspace/gophercloud/openstack/compute/v2/extensions/bootfromvolume)) = 934dbf81977c67c521c75492dc1f55ca74dc5b04
Provides: bundled(golang(github.com/rackspace/gophercloud/openstack/compute/v2/extensions/diskconfig)) = 934dbf81977c67c521c75492dc1f55ca74dc5b04
Provides: bundled(golang(github.com/rackspace/gophercloud/openstack/compute/v2/extensions/volumeattach)) = 934dbf81977c67c521c75492dc1f55ca74dc5b04
Provides: bundled(golang(github.com/rackspace/gophercloud/openstack/compute/v2/flavors)) = 934dbf81977c67c521c75492dc1f55ca74dc5b04
Provides: bundled(golang(github.com/rackspace/gophercloud/openstack/compute/v2/images)) = 934dbf81977c67c521c75492dc1f55ca74dc5b04
Provides: bundled(golang(github.com/rackspace/gophercloud/openstack/compute/v2/servers)) = 934dbf81977c67c521c75492dc1f55ca74dc5b04
Provides: bundled(golang(github.com/rackspace/gophercloud/openstack/identity/v2/tenants)) = 934dbf81977c67c521c75492dc1f55ca74dc5b04
Provides: bundled(golang(github.com/rackspace/gophercloud/openstack/identity/v2/tokens)) = 934dbf81977c67c521c75492dc1f55ca74dc5b04
Provides: bundled(golang(github.com/rackspace/gophercloud/openstack/identity/v3/tokens)) = 934dbf81977c67c521c75492dc1f55ca74dc5b04
Provides: bundled(golang(github.com/rackspace/gophercloud/openstack/networking/v2/extensions/layer3/floatingips)) = 934dbf81977c67c521c75492dc1f55ca74dc5b04
Provides: bundled(golang(github.com/rackspace/gophercloud/openstack/networking/v2/extensions/lbaas/members)) = 934dbf81977c67c521c75492dc1f55ca74dc5b04
Provides: bundled(golang(github.com/rackspace/gophercloud/openstack/networking/v2/extensions/lbaas/monitors)) = 934dbf81977c67c521c75492dc1f55ca74dc5b04
Provides: bundled(golang(github.com/rackspace/gophercloud/openstack/networking/v2/extensions/lbaas/pools)) = 934dbf81977c67c521c75492dc1f55ca74dc5b04
Provides: bundled(golang(github.com/rackspace/gophercloud/openstack/networking/v2/extensions/lbaas/vips)) = 934dbf81977c67c521c75492dc1f55ca74dc5b04
Provides: bundled(golang(github.com/rackspace/gophercloud/openstack/networking/v2/extensions/lbaas_v2/listeners)) = 934dbf81977c67c521c75492dc1f55ca74dc5b04
Provides: bundled(golang(github.com/rackspace/gophercloud/openstack/networking/v2/extensions/lbaas_v2/loadbalancers)) = 934dbf81977c67c521c75492dc1f55ca74dc5b04
Provides: bundled(golang(github.com/rackspace/gophercloud/openstack/networking/v2/extensions/lbaas_v2/monitors)) = 934dbf81977c67c521c75492dc1f55ca74dc5b04
Provides: bundled(golang(github.com/rackspace/gophercloud/openstack/networking/v2/extensions/lbaas_v2/pools)) = 934dbf81977c67c521c75492dc1f55ca74dc5b04
Provides: bundled(golang(github.com/rackspace/gophercloud/openstack/networking/v2/ports)) = 934dbf81977c67c521c75492dc1f55ca74dc5b04
Provides: bundled(golang(github.com/rackspace/gophercloud/openstack/utils)) = 934dbf81977c67c521c75492dc1f55ca74dc5b04
Provides: bundled(golang(github.com/rackspace/gophercloud/pagination)) = 934dbf81977c67c521c75492dc1f55ca74dc5b04
Provides: bundled(golang(github.com/rackspace/gophercloud/rackspace)) = 934dbf81977c67c521c75492dc1f55ca74dc5b04
Provides: bundled(golang(github.com/rackspace/gophercloud/rackspace/blockstorage/v1/volumes)) = 934dbf81977c67c521c75492dc1f55ca74dc5b04
Provides: bundled(golang(github.com/rackspace/gophercloud/rackspace/compute/v2/servers)) = 934dbf81977c67c521c75492dc1f55ca74dc5b04
Provides: bundled(golang(github.com/rackspace/gophercloud/rackspace/compute/v2/volumeattach)) = 934dbf81977c67c521c75492dc1f55ca74dc5b04
Provides: bundled(golang(github.com/rackspace/gophercloud/rackspace/identity/v2/tokens)) = 934dbf81977c67c521c75492dc1f55ca74dc5b04
Provides: bundled(golang(github.com/rackspace/gophercloud/testhelper)) = 934dbf81977c67c521c75492dc1f55ca74dc5b04
Provides: bundled(golang(github.com/rackspace/gophercloud/testhelper/client)) = 934dbf81977c67c521c75492dc1f55ca74dc5b04
Provides: bundled(golang(github.com/robfig/cron)) = 0f39cf7ebc65a602f45692f9894bd6a193faf8fa
Provides: bundled(golang(github.com/russross/blackfriday)) = 77efab57b2f74dd3f9051c79752b2e8995c8b789
Provides: bundled(golang(github.com/samuel/go-zookeeper/zk)) = 177002e16a0061912f02377e2dd8951a8b3551bc
Provides: bundled(golang(github.com/seccomp/libseccomp-golang)) = 1b506fc7c24eec5a3693cdcbed40d9c226cfc6a1
Provides: bundled(golang(github.com/shurcooL/sanitized_anchor_name)) = 10ef21a441db47d8b13ebcc5fd2310f636973c77
Provides: bundled(golang(github.com/skynetservices/skydns/cache)) = 30763c4e568fe411f1663af553c063cec8879929
Provides: bundled(golang(github.com/skynetservices/skydns/metrics)) = 30763c4e568fe411f1663af553c063cec8879929
Provides: bundled(golang(github.com/skynetservices/skydns/msg)) = 30763c4e568fe411f1663af553c063cec8879929
Provides: bundled(golang(github.com/skynetservices/skydns/server)) = 30763c4e568fe411f1663af553c063cec8879929
Provides: bundled(golang(github.com/skynetservices/skydns/singleflight)) = 30763c4e568fe411f1663af553c063cec8879929
Provides: bundled(golang(github.com/spf13/cobra)) = f62e98d28ab7ad31d707ba837a966378465c7b57
Provides: bundled(golang(github.com/spf13/cobra/doc)) = f62e98d28ab7ad31d707ba837a966378465c7b57
Provides: bundled(golang(github.com/spf13/pflag)) = 1560c1005499d61b80f865c04d39ca7505bf7f0b
Provides: bundled(golang(github.com/stevvooe/resumable)) = 51ad44105773cafcbe91927f70ac68e1bf78f8b4
Provides: bundled(golang(github.com/stevvooe/resumable/sha256)) = 51ad44105773cafcbe91927f70ac68e1bf78f8b4
Provides: bundled(golang(github.com/stevvooe/resumable/sha512)) = 51ad44105773cafcbe91927f70ac68e1bf78f8b4
Provides: bundled(golang(github.com/stretchr/objx)) = 1a9d0bb9f541897e62256577b352fdbc1fb4fd94
Provides: bundled(golang(github.com/stretchr/testify/assert)) = e3a8ff8ce36581f87a15341206f205b1da467059
Provides: bundled(golang(github.com/stretchr/testify/mock)) = e3a8ff8ce36581f87a15341206f205b1da467059
Provides: bundled(golang(github.com/stretchr/testify/require)) = e3a8ff8ce36581f87a15341206f205b1da467059
Provides: bundled(golang(github.com/syndtr/gocapability/capability)) = 2c00daeb6c3b45114c80ac44119e7b8801fdd852
Provides: bundled(golang(github.com/ugorji/go/codec)) = f4485b318aadd133842532f841dc205a8e339d74
Provides: bundled(golang(github.com/vishvananda/netlink)) = 1e2e08e8a2dcdacaae3f14ac44c5cfa31361f270
Provides: bundled(golang(github.com/vishvananda/netlink/nl)) = 1e2e08e8a2dcdacaae3f14ac44c5cfa31361f270
Provides: bundled(golang(github.com/vjeantet/asn1-ber)) = 85041cd0f4769ebf4a5ae600b1e921e630d6aff0
Provides: bundled(golang(github.com/vjeantet/ldapserver)) = 19fbc46ed12348d5122812c8303fb82e49b6c25d
Provides: bundled(golang(github.com/vmware/govmomi)) = 9051bd6b44125d9472e0c148b5965692ab283d4a
Provides: bundled(golang(github.com/vmware/govmomi/find)) = 9051bd6b44125d9472e0c148b5965692ab283d4a
Provides: bundled(golang(github.com/vmware/govmomi/list)) = 9051bd6b44125d9472e0c148b5965692ab283d4a
Provides: bundled(golang(github.com/vmware/govmomi/object)) = 9051bd6b44125d9472e0c148b5965692ab283d4a
Provides: bundled(golang(github.com/vmware/govmomi/property)) = 9051bd6b44125d9472e0c148b5965692ab283d4a
Provides: bundled(golang(github.com/vmware/govmomi/session)) = 9051bd6b44125d9472e0c148b5965692ab283d4a
Provides: bundled(golang(github.com/vmware/govmomi/task)) = 9051bd6b44125d9472e0c148b5965692ab283d4a
Provides: bundled(golang(github.com/vmware/govmomi/vim25)) = 9051bd6b44125d9472e0c148b5965692ab283d4a
Provides: bundled(golang(github.com/vmware/govmomi/vim25/debug)) = 9051bd6b44125d9472e0c148b5965692ab283d4a
Provides: bundled(golang(github.com/vmware/govmomi/vim25/methods)) = 9051bd6b44125d9472e0c148b5965692ab283d4a
Provides: bundled(golang(github.com/vmware/govmomi/vim25/mo)) = 9051bd6b44125d9472e0c148b5965692ab283d4a
Provides: bundled(golang(github.com/vmware/govmomi/vim25/progress)) = 9051bd6b44125d9472e0c148b5965692ab283d4a
Provides: bundled(golang(github.com/vmware/govmomi/vim25/soap)) = 9051bd6b44125d9472e0c148b5965692ab283d4a
Provides: bundled(golang(github.com/vmware/govmomi/vim25/types)) = 9051bd6b44125d9472e0c148b5965692ab283d4a
Provides: bundled(golang(github.com/vmware/govmomi/vim25/xml)) = 9051bd6b44125d9472e0c148b5965692ab283d4a
Provides: bundled(golang(github.com/xiang90/probing)) = 6a0cc1ae81b4cc11db5e491e030e4b98fba79c19
Provides: bundled(golang(go4.org/errorutil)) = 03efcb870d84809319ea509714dd6d19a1498483
Provides: bundled(golang(golang.org/x/crypto/bcrypt)) = c84e1f8e3a7e322d497cd16c0e8a13c7e127baf3
Provides: bundled(golang(golang.org/x/crypto/blowfish)) = c84e1f8e3a7e322d497cd16c0e8a13c7e127baf3
Provides: bundled(golang(golang.org/x/crypto/ssh)) = c84e1f8e3a7e322d497cd16c0e8a13c7e127baf3
Provides: bundled(golang(golang.org/x/exp/inotify)) = 292a51b8d262487dab23a588950e8052d63d9113
Provides: bundled(golang(golang.org/x/net/context)) = 62685c2d7ca23c807425dca88b11a3e2323dab41
Provides: bundled(golang(golang.org/x/net/context/ctxhttp)) = 62685c2d7ca23c807425dca88b11a3e2323dab41
Provides: bundled(golang(golang.org/x/net/html)) = 62685c2d7ca23c807425dca88b11a3e2323dab41
Provides: bundled(golang(golang.org/x/net/html/atom)) = 62685c2d7ca23c807425dca88b11a3e2323dab41
Provides: bundled(golang(golang.org/x/net/http2)) = 62685c2d7ca23c807425dca88b11a3e2323dab41
Provides: bundled(golang(golang.org/x/net/http2/hpack)) = 62685c2d7ca23c807425dca88b11a3e2323dab41
Provides: bundled(golang(golang.org/x/net/internal/timeseries)) = 62685c2d7ca23c807425dca88b11a3e2323dab41
Provides: bundled(golang(golang.org/x/net/proxy)) = 62685c2d7ca23c807425dca88b11a3e2323dab41
Provides: bundled(golang(golang.org/x/net/trace)) = 62685c2d7ca23c807425dca88b11a3e2323dab41
Provides: bundled(golang(golang.org/x/net/websocket)) = 62685c2d7ca23c807425dca88b11a3e2323dab41
Provides: bundled(golang(golang.org/x/oauth2)) = b5adcc2dcdf009d0391547edc6ecbaff889f5bb9
Provides: bundled(golang(golang.org/x/oauth2/google)) = b5adcc2dcdf009d0391547edc6ecbaff889f5bb9
Provides: bundled(golang(golang.org/x/oauth2/internal)) = b5adcc2dcdf009d0391547edc6ecbaff889f5bb9
Provides: bundled(golang(golang.org/x/oauth2/jws)) = b5adcc2dcdf009d0391547edc6ecbaff889f5bb9
Provides: bundled(golang(golang.org/x/oauth2/jwt)) = b5adcc2dcdf009d0391547edc6ecbaff889f5bb9
Provides: bundled(golang(golang.org/x/sys/unix)) = 833a04a10549a95dc34458c195cbad61bbb6cb4d
Provides: bundled(golang(golang.org/x/sys/windows)) = 833a04a10549a95dc34458c195cbad61bbb6cb4d
Provides: bundled(golang(google.golang.org/api/cloudmonitoring/v2beta2)) = 4300f6b0c8a7f09e521dd0af2cee27e28846e037
Provides: bundled(golang(google.golang.org/api/compute/v1)) = 4300f6b0c8a7f09e521dd0af2cee27e28846e037
Provides: bundled(golang(google.golang.org/api/container/v1)) = 4300f6b0c8a7f09e521dd0af2cee27e28846e037
Provides: bundled(golang(google.golang.org/api/gensupport)) = 4300f6b0c8a7f09e521dd0af2cee27e28846e037
Provides: bundled(golang(google.golang.org/api/googleapi)) = 4300f6b0c8a7f09e521dd0af2cee27e28846e037
Provides: bundled(golang(google.golang.org/api/googleapi/internal/uritemplates)) = 4300f6b0c8a7f09e521dd0af2cee27e28846e037
Provides: bundled(golang(google.golang.org/api/storage/v1)) = 4300f6b0c8a7f09e521dd0af2cee27e28846e037
Provides: bundled(golang(google.golang.org/cloud)) = eb47ba841d53d93506cfbfbc03927daf9cc48f88
Provides: bundled(golang(google.golang.org/cloud/compute/metadata)) = eb47ba841d53d93506cfbfbc03927daf9cc48f88
Provides: bundled(golang(google.golang.org/cloud/internal)) = eb47ba841d53d93506cfbfbc03927daf9cc48f88
Provides: bundled(golang(google.golang.org/cloud/internal/opts)) = eb47ba841d53d93506cfbfbc03927daf9cc48f88
Provides: bundled(golang(google.golang.org/cloud/storage)) = eb47ba841d53d93506cfbfbc03927daf9cc48f88
Provides: bundled(golang(google.golang.org/grpc)) = 933601d8cd6418a8a891bd9075a7161b0a67badb
Provides: bundled(golang(google.golang.org/grpc/codes)) = 933601d8cd6418a8a891bd9075a7161b0a67badb
Provides: bundled(golang(google.golang.org/grpc/credentials)) = 933601d8cd6418a8a891bd9075a7161b0a67badb
Provides: bundled(golang(google.golang.org/grpc/grpclog)) = 933601d8cd6418a8a891bd9075a7161b0a67badb
Provides: bundled(golang(google.golang.org/grpc/metadata)) = 933601d8cd6418a8a891bd9075a7161b0a67badb
Provides: bundled(golang(google.golang.org/grpc/naming)) = 933601d8cd6418a8a891bd9075a7161b0a67badb
Provides: bundled(golang(google.golang.org/grpc/peer)) = 933601d8cd6418a8a891bd9075a7161b0a67badb
Provides: bundled(golang(google.golang.org/grpc/transport)) = 933601d8cd6418a8a891bd9075a7161b0a67badb
Provides: bundled(golang(gopkg.in/asn1-ber.v1)) = 4e86f4367175e39f69d9358a5f17b4dda270378d
Provides: bundled(golang(gopkg.in/gcfg.v1)) = 083575c3955c85df16fe9590cceab64d03f5eb6e
Provides: bundled(golang(gopkg.in/gcfg.v1/scanner)) = 083575c3955c85df16fe9590cceab64d03f5eb6e
Provides: bundled(golang(gopkg.in/gcfg.v1/token)) = 083575c3955c85df16fe9590cceab64d03f5eb6e
Provides: bundled(golang(gopkg.in/gcfg.v1/types)) = 083575c3955c85df16fe9590cceab64d03f5eb6e
Provides: bundled(golang(gopkg.in/inf.v0)) = 3887ee99ecf07df5b447e9b00d9c0b2adaa9f3e4
Provides: bundled(golang(gopkg.in/ldap.v2)) = 07a7330929b9ee80495c88a4439657d89c7dbd87
Provides: bundled(golang(gopkg.in/yaml.v2)) = a83829b6f1293c91addabc89d0571c246397bbf4
Provides: bundled(golang(k8s.io/heapster/metrics/api/v1/types)) = 9cb18ac0ceb193eb530a1fe339355c94ea454d85
Provides: bundled(golang(k8s.io/heapster/metrics/apis/metrics/v1alpha1)) = 9cb18ac0ceb193eb530a1fe339355c94ea454d85
Provides: bundled(golang(k8s.io/kubernetes/cmd/genutils)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/cmd/kube-apiserver/app)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/cmd/kube-apiserver/app/options)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/cmd/kube-controller-manager/app)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/cmd/kube-controller-manager/app/options)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/cmd/kube-proxy/app)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/cmd/kube-proxy/app/options)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/cmd/kubelet/app)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/cmd/kubelet/app/options)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/cmd/libs/go2idl/args)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/cmd/libs/go2idl/conversion-gen/generators)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/cmd/libs/go2idl/deepcopy-gen/generators)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/cmd/libs/go2idl/generator)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/cmd/libs/go2idl/go-to-protobuf/protobuf)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/cmd/libs/go2idl/namer)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/cmd/libs/go2idl/parser)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/cmd/libs/go2idl/types)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/federation/apis/federation)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/federation/apis/federation/install)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/federation/apis/federation/v1beta1)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/federation/client/clientset_generated/federation_internalclientset)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/federation/client/clientset_generated/federation_internalclientset/typed/core/unversioned)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/federation/client/clientset_generated/federation_internalclientset/typed/federation/unversioned)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/federation/client/clientset_generated/federation_release_1_3)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/federation/client/clientset_generated/federation_release_1_3/typed/core/v1)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/federation/client/clientset_generated/federation_release_1_3/typed/federation/v1beta1)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/admission)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/api)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/api/annotations)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/api/endpoints)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/api/errors)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/api/errors/storage)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/api/install)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/api/meta)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/api/meta/metatypes)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/api/pod)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/api/resource)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/api/rest)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/api/rest/resttest)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/api/service)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/api/testapi)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/api/testing)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/api/unversioned)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/api/unversioned/validation)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/api/util)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/api/v1)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/api/validation)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/apimachinery)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/apimachinery/registered)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/abac)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/abac/latest)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/abac/v0)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/abac/v1beta1)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/apps)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/apps/install)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/apps/v1alpha1)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/apps/validation)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/authentication)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/authentication/install)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/authentication/v1beta1)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/authorization)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/authorization/install)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/authorization/v1beta1)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/autoscaling)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/autoscaling/install)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/autoscaling/v1)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/autoscaling/validation)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/batch)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/batch/install)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/batch/v1)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/batch/v2alpha1)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/batch/validation)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/componentconfig)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/componentconfig/install)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/componentconfig/v1alpha1)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/extensions)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/extensions/install)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/extensions/v1beta1)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/extensions/validation)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/policy)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/policy/install)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/policy/v1alpha1)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/policy/validation)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/rbac)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/rbac/install)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/rbac/v1alpha1)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/rbac/validation)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/apiserver)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/apiserver/authenticator)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/apiserver/metrics)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/auth/authenticator)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/auth/authenticator/bearertoken)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/auth/authorizer)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/auth/authorizer/abac)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/auth/authorizer/union)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/auth/handlers)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/auth/user)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/capabilities)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/cache)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/chaosclient)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/internalclientset)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/internalclientset/fake)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/internalclientset/typed/authentication/unversioned)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/internalclientset/typed/authentication/unversioned/fake)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/internalclientset/typed/autoscaling/unversioned)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/internalclientset/typed/autoscaling/unversioned/fake)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/internalclientset/typed/batch/unversioned)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/internalclientset/typed/batch/unversioned/fake)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/internalclientset/typed/core/unversioned)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/internalclientset/typed/core/unversioned/fake)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/internalclientset/typed/extensions/unversioned)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/internalclientset/typed/extensions/unversioned/fake)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/internalclientset/typed/rbac/unversioned)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/internalclientset/typed/rbac/unversioned/fake)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/release_1_2)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/release_1_2/typed/core/v1)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/release_1_2/typed/extensions/v1beta1)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/release_1_3)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/release_1_3/typed/autoscaling/v1)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/release_1_3/typed/batch/v1)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/release_1_3/typed/core/v1)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/release_1_3/typed/extensions/v1beta1)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/leaderelection)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/metrics)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/record)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/restclient)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/testing/core)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/transport)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/typed/discovery)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/typed/discovery/fake)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/typed/dynamic)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/unversioned)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/unversioned/adapters/internalclientset)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/unversioned/auth)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/unversioned/clientcmd)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/unversioned/clientcmd/api)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/unversioned/clientcmd/api/latest)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/unversioned/clientcmd/api/v1)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/unversioned/fake)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/unversioned/portforward)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/unversioned/remotecommand)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/unversioned/testclient)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/cloudprovider)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/cloudprovider/providers)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/cloudprovider/providers/aws)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/cloudprovider/providers/gce)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/cloudprovider/providers/mesos)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/cloudprovider/providers/openstack)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/cloudprovider/providers/ovirt)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/cloudprovider/providers/rackspace)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/cloudprovider/providers/vsphere)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/daemon)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/deployment)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/endpoint)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/framework)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/framework/informers)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/garbagecollector)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/gc)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/job)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/namespace)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/node)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/petset)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/podautoscaler)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/podautoscaler/metrics)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/replicaset)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/replication)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/resourcequota)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/route)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/service)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/serviceaccount)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/volume/attachdetach)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/volume/attachdetach/cache)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/volume/attachdetach/populator)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/volume/attachdetach/reconciler)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/volume/attachdetach/statusupdater)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/volume/persistentvolume)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/conversion)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/conversion/queryparams)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/credentialprovider)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/credentialprovider/aws)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/credentialprovider/gcp)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/fieldpath)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/fields)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/genericapiserver)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/genericapiserver/options)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/healthz)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/httplog)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubectl)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubectl/cmd)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubectl/cmd/config)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubectl/cmd/rollout)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubectl/cmd/set)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubectl/cmd/util)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubectl/cmd/util/editor)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubectl/cmd/util/jsonmerge)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubectl/resource)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/api/v1alpha1/stats)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/cadvisor)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/cadvisor/testing)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/client)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/cm)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/config)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/container)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/custommetrics)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/dockertools)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/envvars)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/eviction)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/leaky)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/lifecycle)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/metrics)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/network)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/network/cni)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/network/exec)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/network/hairpin)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/network/hostport)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/network/kubenet)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/pleg)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/pod)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/prober)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/prober/results)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/qos)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/qos/util)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/rkt)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/server)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/server/portforward)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/server/remotecommand)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/server/stats)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/status)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/types)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/util/cache)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/util/format)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/util/ioutils)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/util/queue)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/volumemanager)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/volumemanager/cache)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/volumemanager/populator)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/volumemanager/reconciler)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/labels)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/master)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/master/ports)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/metrics)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/probe)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/probe/exec)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/probe/http)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/probe/tcp)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/proxy)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/proxy/config)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/proxy/iptables)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/proxy/userspace)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/quota)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/quota/evaluator/core)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/quota/generic)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/quota/install)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/cachesize)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/clusterrole)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/clusterrole/etcd)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/clusterrole/policybased)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/clusterrolebinding)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/clusterrolebinding/etcd)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/clusterrolebinding/policybased)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/componentstatus)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/configmap)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/configmap/etcd)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/controller)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/controller/etcd)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/daemonset)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/daemonset/etcd)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/deployment)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/deployment/etcd)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/endpoint)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/endpoint/etcd)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/event)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/event/etcd)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/experimental/controller/etcd)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/generic)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/generic/registry)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/generic/rest)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/horizontalpodautoscaler)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/horizontalpodautoscaler/etcd)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/ingress)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/ingress/etcd)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/job)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/job/etcd)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/limitrange)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/limitrange/etcd)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/namespace)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/namespace/etcd)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/networkpolicy)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/networkpolicy/etcd)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/node)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/node/etcd)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/node/rest)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/persistentvolume)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/persistentvolume/etcd)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/persistentvolumeclaim)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/persistentvolumeclaim/etcd)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/petset)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/petset/etcd)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/pod)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/pod/etcd)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/pod/rest)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/poddisruptionbudget)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/poddisruptionbudget/etcd)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/podsecuritypolicy)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/podsecuritypolicy/etcd)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/podtemplate)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/podtemplate/etcd)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/registrytest)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/replicaset)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/replicaset/etcd)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/resourcequota)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/resourcequota/etcd)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/role)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/role/etcd)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/role/policybased)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/rolebinding)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/rolebinding/etcd)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/rolebinding/policybased)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/secret)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/secret/etcd)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/securitycontextconstraints)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/securitycontextconstraints/etcd)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/service)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/service/allocator)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/service/allocator/etcd)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/service/etcd)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/service/ipallocator)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/service/ipallocator/controller)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/service/portallocator)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/service/portallocator/controller)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/serviceaccount)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/serviceaccount/etcd)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/thirdpartyresource)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/thirdpartyresource/etcd)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/thirdpartyresourcedata)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/thirdpartyresourcedata/etcd)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/tokenreview)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/runtime)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/runtime/serializer)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/runtime/serializer/json)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/runtime/serializer/protobuf)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/runtime/serializer/recognizer)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/runtime/serializer/streaming)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/runtime/serializer/versioning)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/security/podsecuritypolicy)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/security/podsecuritypolicy/capabilities)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/security/podsecuritypolicy/group)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/security/podsecuritypolicy/selinux)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/security/podsecuritypolicy/user)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/security/podsecuritypolicy/util)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/securitycontext)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/securitycontextconstraints)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/securitycontextconstraints/capabilities)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/securitycontextconstraints/group)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/securitycontextconstraints/seccomp)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/securitycontextconstraints/selinux)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/securitycontextconstraints/user)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/securitycontextconstraints/util)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/serviceaccount)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/ssh)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/storage)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/storage/etcd)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/storage/etcd/etcdtest)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/storage/etcd/metrics)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/storage/etcd/testing)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/storage/etcd/util)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/storage/etcd3)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/storage/storagebackend)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/storage/storagebackend/factory)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/storage/testing)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/types)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/bandwidth)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/cache)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/chmod)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/chown)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/config)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/configz)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/crlf)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/crypto)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/dbus)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/deployment)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/diff)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/env)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/errors)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/exec)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/flag)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/flock)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/flowcontrol)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/flushwriter)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/framer)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/goroutinemap)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/goroutinemap/exponentialbackoff)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/hash)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/homedir)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/httpstream)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/httpstream/spdy)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/integer)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/interrupt)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/intstr)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/io)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/iptables)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/json)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/jsonpath)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/keymutex)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/labels)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/limitwriter)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/metrics)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/mount)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/net)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/net/sets)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/node)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/oom)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/parsers)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/pod)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/procfs)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/proxy)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/rand)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/replicaset)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/runtime)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/selinux)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/sets)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/slice)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/strategicpatch)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/strings)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/sysctl)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/system)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/term)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/validation)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/validation/field)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/wait)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/workqueue)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/wsstream)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/yaml)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/version)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/aws_ebs)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/azure_file)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/cephfs)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/cinder)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/configmap)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/downwardapi)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/empty_dir)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/fc)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/flexvolume)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/flocker)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/gce_pd)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/git_repo)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/glusterfs)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/host_path)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/iscsi)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/nfs)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/rbd)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/secret)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/util)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/util/nestedpendingoperations)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/util/operationexecutor)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/util/types)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/util/volumehelper)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/vsphere_volume)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/watch)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/watch/json)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/pkg/watch/versioned)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/plugin/cmd/kube-scheduler/app)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/plugin/cmd/kube-scheduler/app/options)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/admission/admit)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/admission/alwayspullimages)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/admission/antiaffinity)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/admission/deny)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/admission/exec)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/admission/initialresources)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/admission/limitranger)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/admission/namespace/autoprovision)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/admission/namespace/exists)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/admission/namespace/lifecycle)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/admission/persistentvolume/label)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/admission/resourcequota)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/admission/security/podsecuritypolicy)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/admission/securitycontext/scdeny)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/admission/serviceaccount)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/auth/authenticator/password/keystone)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/auth/authenticator/password/passwordfile)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/auth/authenticator/request/basicauth)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/auth/authenticator/request/union)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/auth/authenticator/request/x509)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/auth/authenticator/token/oidc)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/auth/authenticator/token/tokenfile)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/auth/authenticator/token/webhook)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/auth/authorizer/rbac)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/auth/authorizer/webhook)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/client/auth)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/client/auth/gcp)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/client/auth/oidc)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/scheduler)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/scheduler/algorithm)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/scheduler/algorithm/predicates)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/scheduler/algorithm/priorities)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/scheduler/algorithm/priorities/util)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/scheduler/algorithmprovider)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/scheduler/algorithmprovider/defaults)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/scheduler/api)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/scheduler/api/latest)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/scheduler/api/v1)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/scheduler/api/validation)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/scheduler/factory)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/scheduler/metrics)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/scheduler/schedulercache)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/webhook)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/test/e2e)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/test/e2e/chaosmonkey)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/test/e2e/framework)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/test/e2e/generated)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/test/e2e/perftype)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/third_party/forked/json)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/third_party/forked/reflect)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/third_party/golang/expansion)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/third_party/golang/go/ast)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/third_party/golang/go/build)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/third_party/golang/go/constant)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/third_party/golang/go/parser)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/third_party/golang/go/printer)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/third_party/golang/go/scanner)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/third_party/golang/go/token)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/third_party/golang/go/types)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/third_party/golang/netutil)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/third_party/golang/reflect)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d
Provides: bundled(golang(k8s.io/kubernetes/third_party/golang/template)) = 52492b4bff99ef3b8ca617d385a3ff0612f9402d

%description
Origin is a distribution of Kubernetes optimized for enterprise application
development and deployment, used by OpenShift 3 and Atomic Enterprise. Origin
adds developer and operational centric tools on top of Kubernetes to enable
rapid application development, easy deployment and scaling, and long-term
lifecycle maintenance for small and large teams and applications.

%package master
Summary:        %{product_name} Master
Requires:       %{name} = %{version}-%{release}
Requires(post):   systemd
Requires(preun):  systemd
Requires(postun): systemd
Obsoletes:      openshift-master < %{package_refector_version}

%description master
%{summary}

%package tests
Summary: %{product_name} Test Suite
Requires:       %{name} = %{version}-%{release}

%description tests
%{summary}

%package node
Summary:        %{product_name} Node
Requires:       %{name} = %{version}-%{release}
Requires:       docker >= %{docker_version}
Requires:       tuned-profiles-%{name}-node = %{version}-%{release}
Requires:       util-linux
Requires:       socat
Requires:       nfs-utils
Requires:       ethtool
Requires:       device-mapper-persistent-data >= 0.6.2
Requires(post):   systemd
Requires(preun):  systemd
Requires(postun): systemd
Obsoletes:      openshift-node < %{package_refector_version}

%description node
%{summary}

%package -n tuned-profiles-%{name}-node
Summary:        Tuned profiles for %{product_name} Node hosts
Requires:       tuned >= %{tuned_version}
Obsoletes:      tuned-profiles-openshift-node < %{package_refector_version}

%description -n tuned-profiles-%{name}-node
%{summary}

%package clients
Summary:        %{product_name} Client binaries for Linux
Obsoletes:      openshift-clients < %{package_refector_version}
Requires:       git

%description clients
%{summary}

%if 0%{?make_redistributable}
%package clients-redistributable
Summary:        %{product_name} Client binaries for Linux, Mac OSX, and Windows
Obsoletes:      openshift-clients-redistributable < %{package_refector_version}

%description clients-redistributable
%{summary}
%endif

%package dockerregistry
Summary:        Docker Registry v2 for %{product_name}
Requires:       %{name} = %{version}-%{release}

%description dockerregistry
%{summary}

%package pod
Summary:        %{product_name} Pod

%description pod
%{summary}

%package sdn-ovs
Summary:          %{product_name} SDN Plugin for Open vSwitch
Requires:         openvswitch >= %{openvswitch_version}
Requires:         %{name}-node = %{version}-%{release}
Requires:         bridge-utils
Requires:         ethtool
Requires:         procps-ng
Requires:         iproute
Obsoletes:        openshift-sdn-ovs < %{package_refector_version}

%description sdn-ovs
%{summary}

%prep
%setup -q -n %{name}-%{commit}

%if ! 0%{?make_redistributable}
%patch0 -p1
chmod +x hack/build-platform.sh
%endif

%build

%if 0%{?make_redistributable}
# Create Binaries
%{os_git_vars} hack/build-cross.sh
%else
%{os_git_vars} hack/build-platform.sh
%endif

# Create extended.test
%{os_git_vars} hack/build-go.sh test/extended/extended.test

# Create/Update man pages
%{os_git_vars} hack/update-generated-docs.sh

%install

PLATFORM="$(go env GOHOSTOS)/$(go env GOHOSTARCH)"
install -d %{buildroot}%{_bindir}

# Install linux components
for bin in oc openshift dockerregistry
do
  echo "+++ INSTALLING ${bin}"
  install -p -m 755 _output/local/bin/${PLATFORM}/${bin} %{buildroot}%{_bindir}/${bin}
done
install -d %{buildroot}%{_libexecdir}/%{name}
install -p -m 755 _output/local/bin/${PLATFORM}/extended.test %{buildroot}%{_libexecdir}/%{name}/

%if 0%{?make_redistributable}
# Install client executable for windows and mac
install -d %{buildroot}%{_datadir}/%{name}/{linux,macosx,windows}
install -p -m 755 _output/local/bin/linux/amd64/oc %{buildroot}%{_datadir}/%{name}/linux/oc
install -p -m 755 _output/local/bin/darwin/amd64/oc %{buildroot}/%{_datadir}/%{name}/macosx/oc
install -p -m 755 _output/local/bin/windows/amd64/oc.exe %{buildroot}/%{_datadir}/%{name}/windows/oc.exe
%endif

# Install pod
install -p -m 755 _output/local/bin/${PLATFORM}/pod %{buildroot}%{_bindir}/

install -d -m 0755 %{buildroot}%{_unitdir}

mkdir -p %{buildroot}%{_sysconfdir}/sysconfig

for cmd in \
    atomic-enterprise \
    kube-apiserver \
    kube-controller-manager \
    kube-proxy \
    kube-scheduler \
    kubelet \
    kubernetes \
    oadm \
    openshift-deploy \
    openshift-docker-build \
    openshift-f5-router \
    openshift-recycle \
    openshift-router \
    openshift-sti-build \
    origin
do
    ln -s openshift %{buildroot}%{_bindir}/$cmd
done

ln -s oc %{buildroot}%{_bindir}/kubectl

install -d -m 0755 %{buildroot}%{_sysconfdir}/origin/{master,node}

# different service for origin vs aos
install -m 0644 contrib/systemd/%{name}-master.service %{buildroot}%{_unitdir}/%{name}-master.service
install -m 0644 contrib/systemd/%{name}-node.service %{buildroot}%{_unitdir}/%{name}-node.service
# same sysconfig files for origin vs aos
install -m 0644 contrib/systemd/origin-master.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/%{name}-master
install -m 0644 contrib/systemd/origin-node.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/%{name}-node
install -d -m 0755 %{buildroot}%{_prefix}/lib/tuned/%{name}-node-{guest,host}
install -m 0644 contrib/tuned/origin-node-guest/tuned.conf %{buildroot}%{_prefix}/lib/tuned/%{name}-node-guest/tuned.conf
install -m 0644 contrib/tuned/origin-node-host/tuned.conf %{buildroot}%{_prefix}/lib/tuned/%{name}-node-host/tuned.conf

# Install man1 man pages
install -d -m 0755 %{buildroot}%{_mandir}/man1
install -m 0644 docs/man/man1/* %{buildroot}%{_mandir}/man1/

# Patch and install the manpage for tuned profiles on aos
install -d -m 0755 %{buildroot}%{_mandir}/man7
%if "%{dist}" == ".el7aos"
%{__sed} -e 's|origin-node|atomic-openshift-node|g' \
 -e 's|ORIGIN_NODE|ATOMIC_OPENSHIFT_NODE|' \
 contrib/tuned/man/tuned-profiles-origin-node.7 > %{buildroot}%{_mandir}/man7/tuned-profiles-%{name}-node.7
%else
install -m 0644 contrib/tuned/man/tuned-profiles-origin-node.7 %{buildroot}%{_mandir}/man7/tuned-profiles-%{name}-node.7
%endif

mkdir -p %{buildroot}%{_sharedstatedir}/origin


# Install sdn scripts
install -d -m 0755 %{buildroot}%{_unitdir}/docker.service.d
install -p -m 0644 contrib/systemd/docker-sdn-ovs.conf %{buildroot}%{_unitdir}/docker.service.d/
pushd pkg/sdn/plugin/bin
   install -p -m 755 openshift-sdn-ovs %{buildroot}%{_bindir}/openshift-sdn-ovs
   install -p -m 755 openshift-sdn-docker-setup.sh %{buildroot}%{_bindir}/openshift-sdn-docker-setup.sh
popd
install -d -m 0755 %{buildroot}%{_unitdir}/%{name}-node.service.d
install -p -m 0644 contrib/systemd/openshift-sdn-ovs.conf %{buildroot}%{_unitdir}/%{name}-node.service.d/openshift-sdn-ovs.conf

# Install bash completions
install -d -m 755 %{buildroot}%{_sysconfdir}/bash_completion.d/
for bin in oadm oc openshift atomic-enterprise
do
  echo "+++ INSTALLING BASH COMPLETIONS FOR ${bin} "
  %{buildroot}%{_bindir}/${bin} completion bash > %{buildroot}%{_sysconfdir}/bash_completion.d/${bin}
  chmod 644 %{buildroot}%{_sysconfdir}/bash_completion.d/${bin}
done

# Install origin-accounting
install -d -m 755 %{buildroot}%{_sysconfdir}/systemd/system.conf.d/
install -p -m 644 contrib/systemd/origin-accounting.conf %{buildroot}%{_sysconfdir}/systemd/system.conf.d/

%files
%doc README.md
%license LICENSE
%{_bindir}/openshift
%{_bindir}/atomic-enterprise
%{_bindir}/kube-apiserver
%{_bindir}/kube-controller-manager
%{_bindir}/kube-proxy
%{_bindir}/kube-scheduler
%{_bindir}/kubelet
%{_bindir}/kubernetes
%{_bindir}/oadm
%{_bindir}/openshift-deploy
%{_bindir}/openshift-docker-build
%{_bindir}/openshift-f5-router
%{_bindir}/openshift-recycle
%{_bindir}/openshift-router
%{_bindir}/openshift-sti-build
%{_bindir}/origin
%{_sharedstatedir}/origin
%{_sysconfdir}/bash_completion.d/atomic-enterprise
%{_sysconfdir}/bash_completion.d/oadm
%{_sysconfdir}/bash_completion.d/openshift
%defattr(-,root,root,0700)
%dir %config(noreplace) %{_sysconfdir}/origin
%ghost %dir %config(noreplace) %{_sysconfdir}/origin
%ghost %config(noreplace) %{_sysconfdir}/origin/.config_managed
%{_mandir}/man1/oadm*
%{_mandir}/man1/openshift*

%pre
# If /etc/openshift exists and /etc/origin doesn't, symlink it to /etc/origin
if [ -d "%{_sysconfdir}/openshift" ]; then
  if ! [ -d "%{_sysconfdir}/origin"  ]; then
    ln -s %{_sysconfdir}/openshift %{_sysconfdir}/origin
  fi
fi
if [ -d "%{_sharedstatedir}/openshift" ]; then
  if ! [ -d "%{_sharedstatedir}/origin"  ]; then
    ln -s %{_sharedstatedir}/openshift %{_sharedstatedir}/origin
  fi
fi

%files tests
%{_libexecdir}/%{name}
%{_libexecdir}/%{name}/extended.test


%files master
%{_unitdir}/%{name}-master.service
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}-master
%defattr(-,root,root,0700)
%config(noreplace) %{_sysconfdir}/origin/master
%ghost %config(noreplace) %{_sysconfdir}/origin/admin.crt
%ghost %config(noreplace) %{_sysconfdir}/origin/admin.key
%ghost %config(noreplace) %{_sysconfdir}/origin/admin.kubeconfig
%ghost %config(noreplace) %{_sysconfdir}/origin/ca.crt
%ghost %config(noreplace) %{_sysconfdir}/origin/ca.key
%ghost %config(noreplace) %{_sysconfdir}/origin/ca.serial.txt
%ghost %config(noreplace) %{_sysconfdir}/origin/etcd.server.crt
%ghost %config(noreplace) %{_sysconfdir}/origin/etcd.server.key
%ghost %config(noreplace) %{_sysconfdir}/origin/master-config.yaml
%ghost %config(noreplace) %{_sysconfdir}/origin/master.etcd-client.crt
%ghost %config(noreplace) %{_sysconfdir}/origin/master.etcd-client.key
%ghost %config(noreplace) %{_sysconfdir}/origin/master.kubelet-client.crt
%ghost %config(noreplace) %{_sysconfdir}/origin/master.kubelet-client.key
%ghost %config(noreplace) %{_sysconfdir}/origin/master.server.crt
%ghost %config(noreplace) %{_sysconfdir}/origin/master.server.key
%ghost %config(noreplace) %{_sysconfdir}/origin/openshift-master.crt
%ghost %config(noreplace) %{_sysconfdir}/origin/openshift-master.key
%ghost %config(noreplace) %{_sysconfdir}/origin/openshift-master.kubeconfig
%ghost %config(noreplace) %{_sysconfdir}/origin/openshift-registry.crt
%ghost %config(noreplace) %{_sysconfdir}/origin/openshift-registry.key
%ghost %config(noreplace) %{_sysconfdir}/origin/openshift-registry.kubeconfig
%ghost %config(noreplace) %{_sysconfdir}/origin/openshift-router.crt
%ghost %config(noreplace) %{_sysconfdir}/origin/openshift-router.key
%ghost %config(noreplace) %{_sysconfdir}/origin/openshift-router.kubeconfig
%ghost %config(noreplace) %{_sysconfdir}/origin/policy.json
%ghost %config(noreplace) %{_sysconfdir}/origin/serviceaccounts.private.key
%ghost %config(noreplace) %{_sysconfdir}/origin/serviceaccounts.public.key
%ghost %config(noreplace) %{_sysconfdir}/origin/.config_managed

%post master
%systemd_post %{name}-master.service
# Create master config and certs if both do not exist
if [[ ! -e %{_sysconfdir}/origin/master/master-config.yaml &&
     ! -e %{_sysconfdir}/origin/master/ca.crt ]]; then
  %{_bindir}/openshift start master --write-config=%{_sysconfdir}/origin/master
  # Create node configs if they do not already exist
  if ! find %{_sysconfdir}/origin/ -type f -name "node-config.yaml" | grep -E "node-config.yaml"; then
    %{_bindir}/oadm create-node-config --node-dir=%{_sysconfdir}/origin/node/ --node=localhost --hostnames=localhost,127.0.0.1 --node-client-certificate-authority=%{_sysconfdir}/origin/master/ca.crt --signer-cert=%{_sysconfdir}/origin/master/ca.crt --signer-key=%{_sysconfdir}/origin/master/ca.key --signer-serial=%{_sysconfdir}/origin/master/ca.serial.txt --certificate-authority=%{_sysconfdir}/origin/master/ca.crt
  fi
  # Generate a marker file that indicates config and certs were RPM generated
  echo "# Config generated by RPM at "`date -u` > %{_sysconfdir}/origin/.config_managed
fi


%preun master
%systemd_preun %{name}-master.service

%postun master
%systemd_postun

%files node
%{_unitdir}/%{name}-node.service
%{_sysconfdir}/systemd/system.conf.d/origin-accounting.conf
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}-node
%defattr(-,root,root,0700)
%config(noreplace) %{_sysconfdir}/origin/node
%ghost %config(noreplace) %{_sysconfdir}/origin/node/node-config.yaml
%ghost %config(noreplace) %{_sysconfdir}/origin/.config_managed

%post node
%systemd_post %{name}-node.service
# If accounting is not currently enabled systemd reexec
if [[ `systemctl show docker %{name}-node | grep -q -e CPUAccounting=no -e MemoryAccounting=no; echo $?` == 0 ]]; then
  systemctl daemon-reexec
fi

%preun node
%systemd_preun %{name}-node.service

%postun node
%systemd_postun

%files sdn-ovs
%dir %{_unitdir}/docker.service.d/
%dir %{_unitdir}/%{name}-node.service.d/
%{_bindir}/openshift-sdn-ovs
%{_bindir}/openshift-sdn-docker-setup.sh
%{_unitdir}/%{name}-node.service.d/openshift-sdn-ovs.conf
%{_unitdir}/docker.service.d/docker-sdn-ovs.conf

%posttrans sdn-ovs
# This path was installed by older packages but the directory wasn't owned by
# RPM so we need to clean it up otherwise kubelet throws an error trying to
# load the directory as a plugin
if [ -d %{kube_plugin_path} ]; then
  rmdir %{kube_plugin_path}
fi

%files -n tuned-profiles-%{name}-node
%license LICENSE
%{_prefix}/lib/tuned/%{name}-node-host
%{_prefix}/lib/tuned/%{name}-node-guest
%{_mandir}/man7/tuned-profiles-%{name}-node.7*

%post -n tuned-profiles-%{name}-node
recommended=`/usr/sbin/tuned-adm recommend`
if [[ "${recommended}" =~ guest ]] ; then
  /usr/sbin/tuned-adm profile %{name}-node-guest > /dev/null 2>&1
else
  /usr/sbin/tuned-adm profile %{name}-node-host > /dev/null 2>&1
fi

%preun -n tuned-profiles-%{name}-node
# reset the tuned profile to the recommended profile
# $1 = 0 when we're being removed > 0 during upgrades
if [ "$1" = 0 ]; then
  recommended=`/usr/sbin/tuned-adm recommend`
  /usr/sbin/tuned-adm profile $recommended > /dev/null 2>&1
fi

%files clients
%license LICENSE
%{_bindir}/oc
%{_bindir}/kubectl
%{_sysconfdir}/bash_completion.d/oc
%{_mandir}/man1/oc*

%if 0%{?make_redistributable}
%files clients-redistributable
%dir %{_datadir}/%{name}/linux/
%dir %{_datadir}/%{name}/macosx/
%dir %{_datadir}/%{name}/windows/
%{_datadir}/%{name}/linux/oc
%{_datadir}/%{name}/macosx/oc
%{_datadir}/%{name}/windows/oc.exe
%endif

%files dockerregistry
%{_bindir}/dockerregistry

%files pod
%{_bindir}/pod

%changelog
* Fri Sep 16 2016 Adam Miller <maxamillion@fedoraproject.org> - 1.3.0-1
- Update to latest upstream - 1.3.0
- Rebase spec file on upstream spec

* Thu Jul 21 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-2.git.0.2e62fab
- https://fedoraproject.org/wiki/Changes/golang1.7

* Fri Jun 17 2016 Adam Miller <maxamillion@fedoraproject.org- 1.2.0-1.git.0.2e62fab
- build on i686, %%{arm}, aarch64

* Thu Apr 21 2016 Dennis Gilmore <dennis@ausil.us> - 1.1.6-2.git.0.ef1caba
- build on i686, %%{arm}, aarch64

* Tue Apr 19 2016 Adam Miller <maxamillion@fedoraproject.org> - 1.1.6-1.git.0.ef1caba
- Update to latest upstream release

* Wed Mar 23 2016 Adam Miller <maxamillion@fedoraproject.org> - 1.1.4-1.git.0.3941102
- Update to latest upstream release

* Mon Feb 22 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.3-2.git.0.cffae05
- https://fedoraproject.org/wiki/Changes/golang1.6

* Wed Feb 17 2016 Adam Miller <maxamillion@fedoraproject.org> - 1.1.3-1.git.0.cffae05
- Update to latest upstream release

* Tue Feb 09 2016 Adam Miller <maxamillion@fedoraproject.org> - 1.1.1-1.git.0.86b5e46
- Update to latest upstream release

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-5.git.0.ac7a99a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Dec 09 2015 Adam Miller <maxamillion@fedoraproject.org> - 1.1-4.git.0.ac7a99a
- Add iproute and procpc-ng Requires for sdn-ovs
- set .config_managed to %ghost and %config(noreplace)
- Fix dir ownership for redistributable clients
- Remove no longer needed basename reference

* Wed Dec 09 2015 Adam Miller <maxamillion@fedoraproject.org> - 1.1-3.git.0.ac7a99a
- Fix dir listing for kube_plugin_path

* Wed Dec 09 2015 Adam Miller <maxamillion@fedoraproject.org> - 1.1-2.git.0.ac7a99a
- Fix dir listing for sdn

* Wed Dec 09 2015 Adam Miller <maxamillion@fedoraproject.org> - 1.1-1.git.0.ac7a99a
- Remove no longer needed defattr
- Remove Obsoletes for package never in Fedora
- Remove upstream specific conditionals for el7aos dist tag

* Wed Dec 02 2015 Adam Miller <maxamillion@fedoraproject.org> - 1.1-0.git.0.ac7a99a
- First submission to Fedora

